import { createAggregatedClient } from "@smithy/smithy-client";
import { AssociateAccessGrantsIdentityCenterCommand, } from "./commands/AssociateAccessGrantsIdentityCenterCommand";
import { CreateAccessGrantCommand, } from "./commands/CreateAccessGrantCommand";
import { CreateAccessGrantsInstanceCommand, } from "./commands/CreateAccessGrantsInstanceCommand";
import { CreateAccessGrantsLocationCommand, } from "./commands/CreateAccessGrantsLocationCommand";
import { CreateAccessPointCommand, } from "./commands/CreateAccessPointCommand";
import { CreateAccessPointForObjectLambdaCommand, } from "./commands/CreateAccessPointForObjectLambdaCommand";
import { CreateBucketCommand, } from "./commands/CreateBucketCommand";
import { CreateJobCommand } from "./commands/CreateJobCommand";
import { CreateMultiRegionAccessPointCommand, } from "./commands/CreateMultiRegionAccessPointCommand";
import { CreateStorageLensGroupCommand, } from "./commands/CreateStorageLensGroupCommand";
import { DeleteAccessGrantCommand, } from "./commands/DeleteAccessGrantCommand";
import { DeleteAccessGrantsInstanceCommand, } from "./commands/DeleteAccessGrantsInstanceCommand";
import { DeleteAccessGrantsInstanceResourcePolicyCommand, } from "./commands/DeleteAccessGrantsInstanceResourcePolicyCommand";
import { DeleteAccessGrantsLocationCommand, } from "./commands/DeleteAccessGrantsLocationCommand";
import { DeleteAccessPointCommand, } from "./commands/DeleteAccessPointCommand";
import { DeleteAccessPointForObjectLambdaCommand, } from "./commands/DeleteAccessPointForObjectLambdaCommand";
import { DeleteAccessPointPolicyCommand, } from "./commands/DeleteAccessPointPolicyCommand";
import { DeleteAccessPointPolicyForObjectLambdaCommand, } from "./commands/DeleteAccessPointPolicyForObjectLambdaCommand";
import { DeleteBucketCommand, } from "./commands/DeleteBucketCommand";
import { DeleteBucketLifecycleConfigurationCommand, } from "./commands/DeleteBucketLifecycleConfigurationCommand";
import { DeleteBucketPolicyCommand, } from "./commands/DeleteBucketPolicyCommand";
import { DeleteBucketReplicationCommand, } from "./commands/DeleteBucketReplicationCommand";
import { DeleteBucketTaggingCommand, } from "./commands/DeleteBucketTaggingCommand";
import { DeleteJobTaggingCommand, } from "./commands/DeleteJobTaggingCommand";
import { DeleteMultiRegionAccessPointCommand, } from "./commands/DeleteMultiRegionAccessPointCommand";
import { DeletePublicAccessBlockCommand, } from "./commands/DeletePublicAccessBlockCommand";
import { DeleteStorageLensConfigurationCommand, } from "./commands/DeleteStorageLensConfigurationCommand";
import { DeleteStorageLensConfigurationTaggingCommand, } from "./commands/DeleteStorageLensConfigurationTaggingCommand";
import { DeleteStorageLensGroupCommand, } from "./commands/DeleteStorageLensGroupCommand";
import { DescribeJobCommand } from "./commands/DescribeJobCommand";
import { DescribeMultiRegionAccessPointOperationCommand, } from "./commands/DescribeMultiRegionAccessPointOperationCommand";
import { DissociateAccessGrantsIdentityCenterCommand, } from "./commands/DissociateAccessGrantsIdentityCenterCommand";
import { GetAccessGrantCommand, } from "./commands/GetAccessGrantCommand";
import { GetAccessGrantsInstanceCommand, } from "./commands/GetAccessGrantsInstanceCommand";
import { GetAccessGrantsInstanceForPrefixCommand, } from "./commands/GetAccessGrantsInstanceForPrefixCommand";
import { GetAccessGrantsInstanceResourcePolicyCommand, } from "./commands/GetAccessGrantsInstanceResourcePolicyCommand";
import { GetAccessGrantsLocationCommand, } from "./commands/GetAccessGrantsLocationCommand";
import { GetAccessPointCommand, } from "./commands/GetAccessPointCommand";
import { GetAccessPointConfigurationForObjectLambdaCommand, } from "./commands/GetAccessPointConfigurationForObjectLambdaCommand";
import { GetAccessPointForObjectLambdaCommand, } from "./commands/GetAccessPointForObjectLambdaCommand";
import { GetAccessPointPolicyCommand, } from "./commands/GetAccessPointPolicyCommand";
import { GetAccessPointPolicyForObjectLambdaCommand, } from "./commands/GetAccessPointPolicyForObjectLambdaCommand";
import { GetAccessPointPolicyStatusCommand, } from "./commands/GetAccessPointPolicyStatusCommand";
import { GetAccessPointPolicyStatusForObjectLambdaCommand, } from "./commands/GetAccessPointPolicyStatusForObjectLambdaCommand";
import { GetBucketCommand } from "./commands/GetBucketCommand";
import { GetBucketLifecycleConfigurationCommand, } from "./commands/GetBucketLifecycleConfigurationCommand";
import { GetBucketPolicyCommand, } from "./commands/GetBucketPolicyCommand";
import { GetBucketReplicationCommand, } from "./commands/GetBucketReplicationCommand";
import { GetBucketTaggingCommand, } from "./commands/GetBucketTaggingCommand";
import { GetBucketVersioningCommand, } from "./commands/GetBucketVersioningCommand";
import { GetDataAccessCommand, } from "./commands/GetDataAccessCommand";
import { GetJobTaggingCommand, } from "./commands/GetJobTaggingCommand";
import { GetMultiRegionAccessPointCommand, } from "./commands/GetMultiRegionAccessPointCommand";
import { GetMultiRegionAccessPointPolicyCommand, } from "./commands/GetMultiRegionAccessPointPolicyCommand";
import { GetMultiRegionAccessPointPolicyStatusCommand, } from "./commands/GetMultiRegionAccessPointPolicyStatusCommand";
import { GetMultiRegionAccessPointRoutesCommand, } from "./commands/GetMultiRegionAccessPointRoutesCommand";
import { GetPublicAccessBlockCommand, } from "./commands/GetPublicAccessBlockCommand";
import { GetStorageLensConfigurationCommand, } from "./commands/GetStorageLensConfigurationCommand";
import { GetStorageLensConfigurationTaggingCommand, } from "./commands/GetStorageLensConfigurationTaggingCommand";
import { GetStorageLensGroupCommand, } from "./commands/GetStorageLensGroupCommand";
import { ListAccessGrantsCommand, } from "./commands/ListAccessGrantsCommand";
import { ListAccessGrantsInstancesCommand, } from "./commands/ListAccessGrantsInstancesCommand";
import { ListAccessGrantsLocationsCommand, } from "./commands/ListAccessGrantsLocationsCommand";
import { ListAccessPointsCommand, } from "./commands/ListAccessPointsCommand";
import { ListAccessPointsForObjectLambdaCommand, } from "./commands/ListAccessPointsForObjectLambdaCommand";
import { ListCallerAccessGrantsCommand, } from "./commands/ListCallerAccessGrantsCommand";
import { ListJobsCommand } from "./commands/ListJobsCommand";
import { ListMultiRegionAccessPointsCommand, } from "./commands/ListMultiRegionAccessPointsCommand";
import { ListRegionalBucketsCommand, } from "./commands/ListRegionalBucketsCommand";
import { ListStorageLensConfigurationsCommand, } from "./commands/ListStorageLensConfigurationsCommand";
import { ListStorageLensGroupsCommand, } from "./commands/ListStorageLensGroupsCommand";
import { ListTagsForResourceCommand, } from "./commands/ListTagsForResourceCommand";
import { PutAccessGrantsInstanceResourcePolicyCommand, } from "./commands/PutAccessGrantsInstanceResourcePolicyCommand";
import { PutAccessPointConfigurationForObjectLambdaCommand, } from "./commands/PutAccessPointConfigurationForObjectLambdaCommand";
import { PutAccessPointPolicyCommand, } from "./commands/PutAccessPointPolicyCommand";
import { PutAccessPointPolicyForObjectLambdaCommand, } from "./commands/PutAccessPointPolicyForObjectLambdaCommand";
import { PutBucketLifecycleConfigurationCommand, } from "./commands/PutBucketLifecycleConfigurationCommand";
import { PutBucketPolicyCommand, } from "./commands/PutBucketPolicyCommand";
import { PutBucketReplicationCommand, } from "./commands/PutBucketReplicationCommand";
import { PutBucketTaggingCommand, } from "./commands/PutBucketTaggingCommand";
import { PutBucketVersioningCommand, } from "./commands/PutBucketVersioningCommand";
import { PutJobTaggingCommand, } from "./commands/PutJobTaggingCommand";
import { PutMultiRegionAccessPointPolicyCommand, } from "./commands/PutMultiRegionAccessPointPolicyCommand";
import { PutPublicAccessBlockCommand, } from "./commands/PutPublicAccessBlockCommand";
import { PutStorageLensConfigurationCommand, } from "./commands/PutStorageLensConfigurationCommand";
import { PutStorageLensConfigurationTaggingCommand, } from "./commands/PutStorageLensConfigurationTaggingCommand";
import { SubmitMultiRegionAccessPointRoutesCommand, } from "./commands/SubmitMultiRegionAccessPointRoutesCommand";
import { TagResourceCommand } from "./commands/TagResourceCommand";
import { UntagResourceCommand, } from "./commands/UntagResourceCommand";
import { UpdateAccessGrantsLocationCommand, } from "./commands/UpdateAccessGrantsLocationCommand";
import { UpdateJobPriorityCommand, } from "./commands/UpdateJobPriorityCommand";
import { UpdateJobStatusCommand, } from "./commands/UpdateJobStatusCommand";
import { UpdateStorageLensGroupCommand, } from "./commands/UpdateStorageLensGroupCommand";
import { S3ControlClient } from "./S3ControlClient";
const commands = {
    AssociateAccessGrantsIdentityCenterCommand,
    CreateAccessGrantCommand,
    CreateAccessGrantsInstanceCommand,
    CreateAccessGrantsLocationCommand,
    CreateAccessPointCommand,
    CreateAccessPointForObjectLambdaCommand,
    CreateBucketCommand,
    CreateJobCommand,
    CreateMultiRegionAccessPointCommand,
    CreateStorageLensGroupCommand,
    DeleteAccessGrantCommand,
    DeleteAccessGrantsInstanceCommand,
    DeleteAccessGrantsInstanceResourcePolicyCommand,
    DeleteAccessGrantsLocationCommand,
    DeleteAccessPointCommand,
    DeleteAccessPointForObjectLambdaCommand,
    DeleteAccessPointPolicyCommand,
    DeleteAccessPointPolicyForObjectLambdaCommand,
    DeleteBucketCommand,
    DeleteBucketLifecycleConfigurationCommand,
    DeleteBucketPolicyCommand,
    DeleteBucketReplicationCommand,
    DeleteBucketTaggingCommand,
    DeleteJobTaggingCommand,
    DeleteMultiRegionAccessPointCommand,
    DeletePublicAccessBlockCommand,
    DeleteStorageLensConfigurationCommand,
    DeleteStorageLensConfigurationTaggingCommand,
    DeleteStorageLensGroupCommand,
    DescribeJobCommand,
    DescribeMultiRegionAccessPointOperationCommand,
    DissociateAccessGrantsIdentityCenterCommand,
    GetAccessGrantCommand,
    GetAccessGrantsInstanceCommand,
    GetAccessGrantsInstanceForPrefixCommand,
    GetAccessGrantsInstanceResourcePolicyCommand,
    GetAccessGrantsLocationCommand,
    GetAccessPointCommand,
    GetAccessPointConfigurationForObjectLambdaCommand,
    GetAccessPointForObjectLambdaCommand,
    GetAccessPointPolicyCommand,
    GetAccessPointPolicyForObjectLambdaCommand,
    GetAccessPointPolicyStatusCommand,
    GetAccessPointPolicyStatusForObjectLambdaCommand,
    GetBucketCommand,
    GetBucketLifecycleConfigurationCommand,
    GetBucketPolicyCommand,
    GetBucketReplicationCommand,
    GetBucketTaggingCommand,
    GetBucketVersioningCommand,
    GetDataAccessCommand,
    GetJobTaggingCommand,
    GetMultiRegionAccessPointCommand,
    GetMultiRegionAccessPointPolicyCommand,
    GetMultiRegionAccessPointPolicyStatusCommand,
    GetMultiRegionAccessPointRoutesCommand,
    GetPublicAccessBlockCommand,
    GetStorageLensConfigurationCommand,
    GetStorageLensConfigurationTaggingCommand,
    GetStorageLensGroupCommand,
    ListAccessGrantsCommand,
    ListAccessGrantsInstancesCommand,
    ListAccessGrantsLocationsCommand,
    ListAccessPointsCommand,
    ListAccessPointsForObjectLambdaCommand,
    ListCallerAccessGrantsCommand,
    ListJobsCommand,
    ListMultiRegionAccessPointsCommand,
    ListRegionalBucketsCommand,
    ListStorageLensConfigurationsCommand,
    ListStorageLensGroupsCommand,
    ListTagsForResourceCommand,
    PutAccessGrantsInstanceResourcePolicyCommand,
    PutAccessPointConfigurationForObjectLambdaCommand,
    PutAccessPointPolicyCommand,
    PutAccessPointPolicyForObjectLambdaCommand,
    PutBucketLifecycleConfigurationCommand,
    PutBucketPolicyCommand,
    PutBucketReplicationCommand,
    PutBucketTaggingCommand,
    PutBucketVersioningCommand,
    PutJobTaggingCommand,
    PutMultiRegionAccessPointPolicyCommand,
    PutPublicAccessBlockCommand,
    PutStorageLensConfigurationCommand,
    PutStorageLensConfigurationTaggingCommand,
    SubmitMultiRegionAccessPointRoutesCommand,
    TagResourceCommand,
    UntagResourceCommand,
    UpdateAccessGrantsLocationCommand,
    UpdateJobPriorityCommand,
    UpdateJobStatusCommand,
    UpdateStorageLensGroupCommand,
};
export class S3Control extends S3ControlClient {
}
createAggregatedClient(commands, S3Control);
