import { getProcessArnablesPlugin } from "@aws-sdk/middleware-sdk-s3-control";
import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_DeleteBucketCommand, se_DeleteBucketCommand } from "../protocols/Aws_restXml";
export { $Command };
export class DeleteBucketCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
    RequiresAccountId: { type: "staticContextParams", value: true },
    AccountId: { type: "contextParams", name: "AccountId" },
    Bucket: { type: "contextParams", name: "Bucket" },
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
        getProcessArnablesPlugin(config),
    ];
})
    .s("AWSS3ControlServiceV20180820", "DeleteBucket", {})
    .n("S3ControlClient", "DeleteBucketCommand")
    .f(void 0, void 0)
    .ser(se_DeleteBucketCommand)
    .de(de_DeleteBucketCommand)
    .build() {
}
