import { getProcessArnablesPlugin } from "@aws-sdk/middleware-sdk-s3-control";
import { getApplyMd5BodyChecksumPlugin } from "@smithy/middleware-apply-body-checksum";
import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_ListAccessGrantsInstancesCommand, se_ListAccessGrantsInstancesCommand } from "../protocols/Aws_restXml";
export { $Command };
export class ListAccessGrantsInstancesCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
    RequiresAccountId: { type: "staticContextParams", value: true },
    AccountId: { type: "contextParams", name: "AccountId" },
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
        getProcessArnablesPlugin(config),
        getApplyMd5BodyChecksumPlugin(config),
    ];
})
    .s("AWSS3ControlServiceV20180820", "ListAccessGrantsInstances", {})
    .n("S3ControlClient", "ListAccessGrantsInstancesCommand")
    .f(void 0, void 0)
    .ser(se_ListAccessGrantsInstancesCommand)
    .de(de_ListAccessGrantsInstancesCommand)
    .build() {
}
