import { HttpRequest as __HttpRequest, HttpResponse as __HttpResponse } from "@smithy/protocol-http";
import { SerdeContext as __SerdeContext } from "@smithy/types";
import { AssociateAccessGrantsIdentityCenterCommandInput, AssociateAccessGrantsIdentityCenterCommandOutput } from "../commands/AssociateAccessGrantsIdentityCenterCommand";
import { CreateAccessGrantCommandInput, CreateAccessGrantCommandOutput } from "../commands/CreateAccessGrantCommand";
import { CreateAccessGrantsInstanceCommandInput, CreateAccessGrantsInstanceCommandOutput } from "../commands/CreateAccessGrantsInstanceCommand";
import { CreateAccessGrantsLocationCommandInput, CreateAccessGrantsLocationCommandOutput } from "../commands/CreateAccessGrantsLocationCommand";
import { CreateAccessPointCommandInput, CreateAccessPointCommandOutput } from "../commands/CreateAccessPointCommand";
import { CreateAccessPointForObjectLambdaCommandInput, CreateAccessPointForObjectLambdaCommandOutput } from "../commands/CreateAccessPointForObjectLambdaCommand";
import { CreateBucketCommandInput, CreateBucketCommandOutput } from "../commands/CreateBucketCommand";
import { CreateJobCommandInput, CreateJobCommandOutput } from "../commands/CreateJobCommand";
import { CreateMultiRegionAccessPointCommandInput, CreateMultiRegionAccessPointCommandOutput } from "../commands/CreateMultiRegionAccessPointCommand";
import { CreateStorageLensGroupCommandInput, CreateStorageLensGroupCommandOutput } from "../commands/CreateStorageLensGroupCommand";
import { DeleteAccessGrantCommandInput, DeleteAccessGrantCommandOutput } from "../commands/DeleteAccessGrantCommand";
import { DeleteAccessGrantsInstanceCommandInput, DeleteAccessGrantsInstanceCommandOutput } from "../commands/DeleteAccessGrantsInstanceCommand";
import { DeleteAccessGrantsInstanceResourcePolicyCommandInput, DeleteAccessGrantsInstanceResourcePolicyCommandOutput } from "../commands/DeleteAccessGrantsInstanceResourcePolicyCommand";
import { DeleteAccessGrantsLocationCommandInput, DeleteAccessGrantsLocationCommandOutput } from "../commands/DeleteAccessGrantsLocationCommand";
import { DeleteAccessPointCommandInput, DeleteAccessPointCommandOutput } from "../commands/DeleteAccessPointCommand";
import { DeleteAccessPointForObjectLambdaCommandInput, DeleteAccessPointForObjectLambdaCommandOutput } from "../commands/DeleteAccessPointForObjectLambdaCommand";
import { DeleteAccessPointPolicyCommandInput, DeleteAccessPointPolicyCommandOutput } from "../commands/DeleteAccessPointPolicyCommand";
import { DeleteAccessPointPolicyForObjectLambdaCommandInput, DeleteAccessPointPolicyForObjectLambdaCommandOutput } from "../commands/DeleteAccessPointPolicyForObjectLambdaCommand";
import { DeleteBucketCommandInput, DeleteBucketCommandOutput } from "../commands/DeleteBucketCommand";
import { DeleteBucketLifecycleConfigurationCommandInput, DeleteBucketLifecycleConfigurationCommandOutput } from "../commands/DeleteBucketLifecycleConfigurationCommand";
import { DeleteBucketPolicyCommandInput, DeleteBucketPolicyCommandOutput } from "../commands/DeleteBucketPolicyCommand";
import { DeleteBucketReplicationCommandInput, DeleteBucketReplicationCommandOutput } from "../commands/DeleteBucketReplicationCommand";
import { DeleteBucketTaggingCommandInput, DeleteBucketTaggingCommandOutput } from "../commands/DeleteBucketTaggingCommand";
import { DeleteJobTaggingCommandInput, DeleteJobTaggingCommandOutput } from "../commands/DeleteJobTaggingCommand";
import { DeleteMultiRegionAccessPointCommandInput, DeleteMultiRegionAccessPointCommandOutput } from "../commands/DeleteMultiRegionAccessPointCommand";
import { DeletePublicAccessBlockCommandInput, DeletePublicAccessBlockCommandOutput } from "../commands/DeletePublicAccessBlockCommand";
import { DeleteStorageLensConfigurationCommandInput, DeleteStorageLensConfigurationCommandOutput } from "../commands/DeleteStorageLensConfigurationCommand";
import { DeleteStorageLensConfigurationTaggingCommandInput, DeleteStorageLensConfigurationTaggingCommandOutput } from "../commands/DeleteStorageLensConfigurationTaggingCommand";
import { DeleteStorageLensGroupCommandInput, DeleteStorageLensGroupCommandOutput } from "../commands/DeleteStorageLensGroupCommand";
import { DescribeJobCommandInput, DescribeJobCommandOutput } from "../commands/DescribeJobCommand";
import { DescribeMultiRegionAccessPointOperationCommandInput, DescribeMultiRegionAccessPointOperationCommandOutput } from "../commands/DescribeMultiRegionAccessPointOperationCommand";
import { DissociateAccessGrantsIdentityCenterCommandInput, DissociateAccessGrantsIdentityCenterCommandOutput } from "../commands/DissociateAccessGrantsIdentityCenterCommand";
import { GetAccessGrantCommandInput, GetAccessGrantCommandOutput } from "../commands/GetAccessGrantCommand";
import { GetAccessGrantsInstanceCommandInput, GetAccessGrantsInstanceCommandOutput } from "../commands/GetAccessGrantsInstanceCommand";
import { GetAccessGrantsInstanceForPrefixCommandInput, GetAccessGrantsInstanceForPrefixCommandOutput } from "../commands/GetAccessGrantsInstanceForPrefixCommand";
import { GetAccessGrantsInstanceResourcePolicyCommandInput, GetAccessGrantsInstanceResourcePolicyCommandOutput } from "../commands/GetAccessGrantsInstanceResourcePolicyCommand";
import { GetAccessGrantsLocationCommandInput, GetAccessGrantsLocationCommandOutput } from "../commands/GetAccessGrantsLocationCommand";
import { GetAccessPointCommandInput, GetAccessPointCommandOutput } from "../commands/GetAccessPointCommand";
import { GetAccessPointConfigurationForObjectLambdaCommandInput, GetAccessPointConfigurationForObjectLambdaCommandOutput } from "../commands/GetAccessPointConfigurationForObjectLambdaCommand";
import { GetAccessPointForObjectLambdaCommandInput, GetAccessPointForObjectLambdaCommandOutput } from "../commands/GetAccessPointForObjectLambdaCommand";
import { GetAccessPointPolicyCommandInput, GetAccessPointPolicyCommandOutput } from "../commands/GetAccessPointPolicyCommand";
import { GetAccessPointPolicyForObjectLambdaCommandInput, GetAccessPointPolicyForObjectLambdaCommandOutput } from "../commands/GetAccessPointPolicyForObjectLambdaCommand";
import { GetAccessPointPolicyStatusCommandInput, GetAccessPointPolicyStatusCommandOutput } from "../commands/GetAccessPointPolicyStatusCommand";
import { GetAccessPointPolicyStatusForObjectLambdaCommandInput, GetAccessPointPolicyStatusForObjectLambdaCommandOutput } from "../commands/GetAccessPointPolicyStatusForObjectLambdaCommand";
import { GetBucketCommandInput, GetBucketCommandOutput } from "../commands/GetBucketCommand";
import { GetBucketLifecycleConfigurationCommandInput, GetBucketLifecycleConfigurationCommandOutput } from "../commands/GetBucketLifecycleConfigurationCommand";
import { GetBucketPolicyCommandInput, GetBucketPolicyCommandOutput } from "../commands/GetBucketPolicyCommand";
import { GetBucketReplicationCommandInput, GetBucketReplicationCommandOutput } from "../commands/GetBucketReplicationCommand";
import { GetBucketTaggingCommandInput, GetBucketTaggingCommandOutput } from "../commands/GetBucketTaggingCommand";
import { GetBucketVersioningCommandInput, GetBucketVersioningCommandOutput } from "../commands/GetBucketVersioningCommand";
import { GetDataAccessCommandInput, GetDataAccessCommandOutput } from "../commands/GetDataAccessCommand";
import { GetJobTaggingCommandInput, GetJobTaggingCommandOutput } from "../commands/GetJobTaggingCommand";
import { GetMultiRegionAccessPointCommandInput, GetMultiRegionAccessPointCommandOutput } from "../commands/GetMultiRegionAccessPointCommand";
import { GetMultiRegionAccessPointPolicyCommandInput, GetMultiRegionAccessPointPolicyCommandOutput } from "../commands/GetMultiRegionAccessPointPolicyCommand";
import { GetMultiRegionAccessPointPolicyStatusCommandInput, GetMultiRegionAccessPointPolicyStatusCommandOutput } from "../commands/GetMultiRegionAccessPointPolicyStatusCommand";
import { GetMultiRegionAccessPointRoutesCommandInput, GetMultiRegionAccessPointRoutesCommandOutput } from "../commands/GetMultiRegionAccessPointRoutesCommand";
import { GetPublicAccessBlockCommandInput, GetPublicAccessBlockCommandOutput } from "../commands/GetPublicAccessBlockCommand";
import { GetStorageLensConfigurationCommandInput, GetStorageLensConfigurationCommandOutput } from "../commands/GetStorageLensConfigurationCommand";
import { GetStorageLensConfigurationTaggingCommandInput, GetStorageLensConfigurationTaggingCommandOutput } from "../commands/GetStorageLensConfigurationTaggingCommand";
import { GetStorageLensGroupCommandInput, GetStorageLensGroupCommandOutput } from "../commands/GetStorageLensGroupCommand";
import { ListAccessGrantsCommandInput, ListAccessGrantsCommandOutput } from "../commands/ListAccessGrantsCommand";
import { ListAccessGrantsInstancesCommandInput, ListAccessGrantsInstancesCommandOutput } from "../commands/ListAccessGrantsInstancesCommand";
import { ListAccessGrantsLocationsCommandInput, ListAccessGrantsLocationsCommandOutput } from "../commands/ListAccessGrantsLocationsCommand";
import { ListAccessPointsCommandInput, ListAccessPointsCommandOutput } from "../commands/ListAccessPointsCommand";
import { ListAccessPointsForObjectLambdaCommandInput, ListAccessPointsForObjectLambdaCommandOutput } from "../commands/ListAccessPointsForObjectLambdaCommand";
import { ListCallerAccessGrantsCommandInput, ListCallerAccessGrantsCommandOutput } from "../commands/ListCallerAccessGrantsCommand";
import { ListJobsCommandInput, ListJobsCommandOutput } from "../commands/ListJobsCommand";
import { ListMultiRegionAccessPointsCommandInput, ListMultiRegionAccessPointsCommandOutput } from "../commands/ListMultiRegionAccessPointsCommand";
import { ListRegionalBucketsCommandInput, ListRegionalBucketsCommandOutput } from "../commands/ListRegionalBucketsCommand";
import { ListStorageLensConfigurationsCommandInput, ListStorageLensConfigurationsCommandOutput } from "../commands/ListStorageLensConfigurationsCommand";
import { ListStorageLensGroupsCommandInput, ListStorageLensGroupsCommandOutput } from "../commands/ListStorageLensGroupsCommand";
import { ListTagsForResourceCommandInput, ListTagsForResourceCommandOutput } from "../commands/ListTagsForResourceCommand";
import { PutAccessGrantsInstanceResourcePolicyCommandInput, PutAccessGrantsInstanceResourcePolicyCommandOutput } from "../commands/PutAccessGrantsInstanceResourcePolicyCommand";
import { PutAccessPointConfigurationForObjectLambdaCommandInput, PutAccessPointConfigurationForObjectLambdaCommandOutput } from "../commands/PutAccessPointConfigurationForObjectLambdaCommand";
import { PutAccessPointPolicyCommandInput, PutAccessPointPolicyCommandOutput } from "../commands/PutAccessPointPolicyCommand";
import { PutAccessPointPolicyForObjectLambdaCommandInput, PutAccessPointPolicyForObjectLambdaCommandOutput } from "../commands/PutAccessPointPolicyForObjectLambdaCommand";
import { PutBucketLifecycleConfigurationCommandInput, PutBucketLifecycleConfigurationCommandOutput } from "../commands/PutBucketLifecycleConfigurationCommand";
import { PutBucketPolicyCommandInput, PutBucketPolicyCommandOutput } from "../commands/PutBucketPolicyCommand";
import { PutBucketReplicationCommandInput, PutBucketReplicationCommandOutput } from "../commands/PutBucketReplicationCommand";
import { PutBucketTaggingCommandInput, PutBucketTaggingCommandOutput } from "../commands/PutBucketTaggingCommand";
import { PutBucketVersioningCommandInput, PutBucketVersioningCommandOutput } from "../commands/PutBucketVersioningCommand";
import { PutJobTaggingCommandInput, PutJobTaggingCommandOutput } from "../commands/PutJobTaggingCommand";
import { PutMultiRegionAccessPointPolicyCommandInput, PutMultiRegionAccessPointPolicyCommandOutput } from "../commands/PutMultiRegionAccessPointPolicyCommand";
import { PutPublicAccessBlockCommandInput, PutPublicAccessBlockCommandOutput } from "../commands/PutPublicAccessBlockCommand";
import { PutStorageLensConfigurationCommandInput, PutStorageLensConfigurationCommandOutput } from "../commands/PutStorageLensConfigurationCommand";
import { PutStorageLensConfigurationTaggingCommandInput, PutStorageLensConfigurationTaggingCommandOutput } from "../commands/PutStorageLensConfigurationTaggingCommand";
import { SubmitMultiRegionAccessPointRoutesCommandInput, SubmitMultiRegionAccessPointRoutesCommandOutput } from "../commands/SubmitMultiRegionAccessPointRoutesCommand";
import { TagResourceCommandInput, TagResourceCommandOutput } from "../commands/TagResourceCommand";
import { UntagResourceCommandInput, UntagResourceCommandOutput } from "../commands/UntagResourceCommand";
import { UpdateAccessGrantsLocationCommandInput, UpdateAccessGrantsLocationCommandOutput } from "../commands/UpdateAccessGrantsLocationCommand";
import { UpdateJobPriorityCommandInput, UpdateJobPriorityCommandOutput } from "../commands/UpdateJobPriorityCommand";
import { UpdateJobStatusCommandInput, UpdateJobStatusCommandOutput } from "../commands/UpdateJobStatusCommand";
import { UpdateStorageLensGroupCommandInput, UpdateStorageLensGroupCommandOutput } from "../commands/UpdateStorageLensGroupCommand";
/**
 * serializeAws_restXmlAssociateAccessGrantsIdentityCenterCommand
 */
export declare const se_AssociateAccessGrantsIdentityCenterCommand: (input: AssociateAccessGrantsIdentityCenterCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlCreateAccessGrantCommand
 */
export declare const se_CreateAccessGrantCommand: (input: CreateAccessGrantCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlCreateAccessGrantsInstanceCommand
 */
export declare const se_CreateAccessGrantsInstanceCommand: (input: CreateAccessGrantsInstanceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlCreateAccessGrantsLocationCommand
 */
export declare const se_CreateAccessGrantsLocationCommand: (input: CreateAccessGrantsLocationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlCreateAccessPointCommand
 */
export declare const se_CreateAccessPointCommand: (input: CreateAccessPointCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlCreateAccessPointForObjectLambdaCommand
 */
export declare const se_CreateAccessPointForObjectLambdaCommand: (input: CreateAccessPointForObjectLambdaCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlCreateBucketCommand
 */
export declare const se_CreateBucketCommand: (input: CreateBucketCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlCreateJobCommand
 */
export declare const se_CreateJobCommand: (input: CreateJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlCreateMultiRegionAccessPointCommand
 */
export declare const se_CreateMultiRegionAccessPointCommand: (input: CreateMultiRegionAccessPointCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlCreateStorageLensGroupCommand
 */
export declare const se_CreateStorageLensGroupCommand: (input: CreateStorageLensGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlDeleteAccessGrantCommand
 */
export declare const se_DeleteAccessGrantCommand: (input: DeleteAccessGrantCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlDeleteAccessGrantsInstanceCommand
 */
export declare const se_DeleteAccessGrantsInstanceCommand: (input: DeleteAccessGrantsInstanceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlDeleteAccessGrantsInstanceResourcePolicyCommand
 */
export declare const se_DeleteAccessGrantsInstanceResourcePolicyCommand: (input: DeleteAccessGrantsInstanceResourcePolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlDeleteAccessGrantsLocationCommand
 */
export declare const se_DeleteAccessGrantsLocationCommand: (input: DeleteAccessGrantsLocationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlDeleteAccessPointCommand
 */
export declare const se_DeleteAccessPointCommand: (input: DeleteAccessPointCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlDeleteAccessPointForObjectLambdaCommand
 */
export declare const se_DeleteAccessPointForObjectLambdaCommand: (input: DeleteAccessPointForObjectLambdaCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlDeleteAccessPointPolicyCommand
 */
export declare const se_DeleteAccessPointPolicyCommand: (input: DeleteAccessPointPolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlDeleteAccessPointPolicyForObjectLambdaCommand
 */
export declare const se_DeleteAccessPointPolicyForObjectLambdaCommand: (input: DeleteAccessPointPolicyForObjectLambdaCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlDeleteBucketCommand
 */
export declare const se_DeleteBucketCommand: (input: DeleteBucketCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlDeleteBucketLifecycleConfigurationCommand
 */
export declare const se_DeleteBucketLifecycleConfigurationCommand: (input: DeleteBucketLifecycleConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlDeleteBucketPolicyCommand
 */
export declare const se_DeleteBucketPolicyCommand: (input: DeleteBucketPolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlDeleteBucketReplicationCommand
 */
export declare const se_DeleteBucketReplicationCommand: (input: DeleteBucketReplicationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlDeleteBucketTaggingCommand
 */
export declare const se_DeleteBucketTaggingCommand: (input: DeleteBucketTaggingCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlDeleteJobTaggingCommand
 */
export declare const se_DeleteJobTaggingCommand: (input: DeleteJobTaggingCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlDeleteMultiRegionAccessPointCommand
 */
export declare const se_DeleteMultiRegionAccessPointCommand: (input: DeleteMultiRegionAccessPointCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlDeletePublicAccessBlockCommand
 */
export declare const se_DeletePublicAccessBlockCommand: (input: DeletePublicAccessBlockCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlDeleteStorageLensConfigurationCommand
 */
export declare const se_DeleteStorageLensConfigurationCommand: (input: DeleteStorageLensConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlDeleteStorageLensConfigurationTaggingCommand
 */
export declare const se_DeleteStorageLensConfigurationTaggingCommand: (input: DeleteStorageLensConfigurationTaggingCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlDeleteStorageLensGroupCommand
 */
export declare const se_DeleteStorageLensGroupCommand: (input: DeleteStorageLensGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlDescribeJobCommand
 */
export declare const se_DescribeJobCommand: (input: DescribeJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlDescribeMultiRegionAccessPointOperationCommand
 */
export declare const se_DescribeMultiRegionAccessPointOperationCommand: (input: DescribeMultiRegionAccessPointOperationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlDissociateAccessGrantsIdentityCenterCommand
 */
export declare const se_DissociateAccessGrantsIdentityCenterCommand: (input: DissociateAccessGrantsIdentityCenterCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlGetAccessGrantCommand
 */
export declare const se_GetAccessGrantCommand: (input: GetAccessGrantCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlGetAccessGrantsInstanceCommand
 */
export declare const se_GetAccessGrantsInstanceCommand: (input: GetAccessGrantsInstanceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlGetAccessGrantsInstanceForPrefixCommand
 */
export declare const se_GetAccessGrantsInstanceForPrefixCommand: (input: GetAccessGrantsInstanceForPrefixCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlGetAccessGrantsInstanceResourcePolicyCommand
 */
export declare const se_GetAccessGrantsInstanceResourcePolicyCommand: (input: GetAccessGrantsInstanceResourcePolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlGetAccessGrantsLocationCommand
 */
export declare const se_GetAccessGrantsLocationCommand: (input: GetAccessGrantsLocationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlGetAccessPointCommand
 */
export declare const se_GetAccessPointCommand: (input: GetAccessPointCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlGetAccessPointConfigurationForObjectLambdaCommand
 */
export declare const se_GetAccessPointConfigurationForObjectLambdaCommand: (input: GetAccessPointConfigurationForObjectLambdaCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlGetAccessPointForObjectLambdaCommand
 */
export declare const se_GetAccessPointForObjectLambdaCommand: (input: GetAccessPointForObjectLambdaCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlGetAccessPointPolicyCommand
 */
export declare const se_GetAccessPointPolicyCommand: (input: GetAccessPointPolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlGetAccessPointPolicyForObjectLambdaCommand
 */
export declare const se_GetAccessPointPolicyForObjectLambdaCommand: (input: GetAccessPointPolicyForObjectLambdaCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlGetAccessPointPolicyStatusCommand
 */
export declare const se_GetAccessPointPolicyStatusCommand: (input: GetAccessPointPolicyStatusCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlGetAccessPointPolicyStatusForObjectLambdaCommand
 */
export declare const se_GetAccessPointPolicyStatusForObjectLambdaCommand: (input: GetAccessPointPolicyStatusForObjectLambdaCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlGetBucketCommand
 */
export declare const se_GetBucketCommand: (input: GetBucketCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlGetBucketLifecycleConfigurationCommand
 */
export declare const se_GetBucketLifecycleConfigurationCommand: (input: GetBucketLifecycleConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlGetBucketPolicyCommand
 */
export declare const se_GetBucketPolicyCommand: (input: GetBucketPolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlGetBucketReplicationCommand
 */
export declare const se_GetBucketReplicationCommand: (input: GetBucketReplicationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlGetBucketTaggingCommand
 */
export declare const se_GetBucketTaggingCommand: (input: GetBucketTaggingCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlGetBucketVersioningCommand
 */
export declare const se_GetBucketVersioningCommand: (input: GetBucketVersioningCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlGetDataAccessCommand
 */
export declare const se_GetDataAccessCommand: (input: GetDataAccessCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlGetJobTaggingCommand
 */
export declare const se_GetJobTaggingCommand: (input: GetJobTaggingCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlGetMultiRegionAccessPointCommand
 */
export declare const se_GetMultiRegionAccessPointCommand: (input: GetMultiRegionAccessPointCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlGetMultiRegionAccessPointPolicyCommand
 */
export declare const se_GetMultiRegionAccessPointPolicyCommand: (input: GetMultiRegionAccessPointPolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlGetMultiRegionAccessPointPolicyStatusCommand
 */
export declare const se_GetMultiRegionAccessPointPolicyStatusCommand: (input: GetMultiRegionAccessPointPolicyStatusCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlGetMultiRegionAccessPointRoutesCommand
 */
export declare const se_GetMultiRegionAccessPointRoutesCommand: (input: GetMultiRegionAccessPointRoutesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlGetPublicAccessBlockCommand
 */
export declare const se_GetPublicAccessBlockCommand: (input: GetPublicAccessBlockCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlGetStorageLensConfigurationCommand
 */
export declare const se_GetStorageLensConfigurationCommand: (input: GetStorageLensConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlGetStorageLensConfigurationTaggingCommand
 */
export declare const se_GetStorageLensConfigurationTaggingCommand: (input: GetStorageLensConfigurationTaggingCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlGetStorageLensGroupCommand
 */
export declare const se_GetStorageLensGroupCommand: (input: GetStorageLensGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlListAccessGrantsCommand
 */
export declare const se_ListAccessGrantsCommand: (input: ListAccessGrantsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlListAccessGrantsInstancesCommand
 */
export declare const se_ListAccessGrantsInstancesCommand: (input: ListAccessGrantsInstancesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlListAccessGrantsLocationsCommand
 */
export declare const se_ListAccessGrantsLocationsCommand: (input: ListAccessGrantsLocationsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlListAccessPointsCommand
 */
export declare const se_ListAccessPointsCommand: (input: ListAccessPointsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlListAccessPointsForObjectLambdaCommand
 */
export declare const se_ListAccessPointsForObjectLambdaCommand: (input: ListAccessPointsForObjectLambdaCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlListCallerAccessGrantsCommand
 */
export declare const se_ListCallerAccessGrantsCommand: (input: ListCallerAccessGrantsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlListJobsCommand
 */
export declare const se_ListJobsCommand: (input: ListJobsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlListMultiRegionAccessPointsCommand
 */
export declare const se_ListMultiRegionAccessPointsCommand: (input: ListMultiRegionAccessPointsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlListRegionalBucketsCommand
 */
export declare const se_ListRegionalBucketsCommand: (input: ListRegionalBucketsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlListStorageLensConfigurationsCommand
 */
export declare const se_ListStorageLensConfigurationsCommand: (input: ListStorageLensConfigurationsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlListStorageLensGroupsCommand
 */
export declare const se_ListStorageLensGroupsCommand: (input: ListStorageLensGroupsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlListTagsForResourceCommand
 */
export declare const se_ListTagsForResourceCommand: (input: ListTagsForResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlPutAccessGrantsInstanceResourcePolicyCommand
 */
export declare const se_PutAccessGrantsInstanceResourcePolicyCommand: (input: PutAccessGrantsInstanceResourcePolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlPutAccessPointConfigurationForObjectLambdaCommand
 */
export declare const se_PutAccessPointConfigurationForObjectLambdaCommand: (input: PutAccessPointConfigurationForObjectLambdaCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlPutAccessPointPolicyCommand
 */
export declare const se_PutAccessPointPolicyCommand: (input: PutAccessPointPolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlPutAccessPointPolicyForObjectLambdaCommand
 */
export declare const se_PutAccessPointPolicyForObjectLambdaCommand: (input: PutAccessPointPolicyForObjectLambdaCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlPutBucketLifecycleConfigurationCommand
 */
export declare const se_PutBucketLifecycleConfigurationCommand: (input: PutBucketLifecycleConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlPutBucketPolicyCommand
 */
export declare const se_PutBucketPolicyCommand: (input: PutBucketPolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlPutBucketReplicationCommand
 */
export declare const se_PutBucketReplicationCommand: (input: PutBucketReplicationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlPutBucketTaggingCommand
 */
export declare const se_PutBucketTaggingCommand: (input: PutBucketTaggingCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlPutBucketVersioningCommand
 */
export declare const se_PutBucketVersioningCommand: (input: PutBucketVersioningCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlPutJobTaggingCommand
 */
export declare const se_PutJobTaggingCommand: (input: PutJobTaggingCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlPutMultiRegionAccessPointPolicyCommand
 */
export declare const se_PutMultiRegionAccessPointPolicyCommand: (input: PutMultiRegionAccessPointPolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlPutPublicAccessBlockCommand
 */
export declare const se_PutPublicAccessBlockCommand: (input: PutPublicAccessBlockCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlPutStorageLensConfigurationCommand
 */
export declare const se_PutStorageLensConfigurationCommand: (input: PutStorageLensConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlPutStorageLensConfigurationTaggingCommand
 */
export declare const se_PutStorageLensConfigurationTaggingCommand: (input: PutStorageLensConfigurationTaggingCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlSubmitMultiRegionAccessPointRoutesCommand
 */
export declare const se_SubmitMultiRegionAccessPointRoutesCommand: (input: SubmitMultiRegionAccessPointRoutesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlTagResourceCommand
 */
export declare const se_TagResourceCommand: (input: TagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlUntagResourceCommand
 */
export declare const se_UntagResourceCommand: (input: UntagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlUpdateAccessGrantsLocationCommand
 */
export declare const se_UpdateAccessGrantsLocationCommand: (input: UpdateAccessGrantsLocationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlUpdateJobPriorityCommand
 */
export declare const se_UpdateJobPriorityCommand: (input: UpdateJobPriorityCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlUpdateJobStatusCommand
 */
export declare const se_UpdateJobStatusCommand: (input: UpdateJobStatusCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restXmlUpdateStorageLensGroupCommand
 */
export declare const se_UpdateStorageLensGroupCommand: (input: UpdateStorageLensGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * deserializeAws_restXmlAssociateAccessGrantsIdentityCenterCommand
 */
export declare const de_AssociateAccessGrantsIdentityCenterCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<AssociateAccessGrantsIdentityCenterCommandOutput>;
/**
 * deserializeAws_restXmlCreateAccessGrantCommand
 */
export declare const de_CreateAccessGrantCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateAccessGrantCommandOutput>;
/**
 * deserializeAws_restXmlCreateAccessGrantsInstanceCommand
 */
export declare const de_CreateAccessGrantsInstanceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateAccessGrantsInstanceCommandOutput>;
/**
 * deserializeAws_restXmlCreateAccessGrantsLocationCommand
 */
export declare const de_CreateAccessGrantsLocationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateAccessGrantsLocationCommandOutput>;
/**
 * deserializeAws_restXmlCreateAccessPointCommand
 */
export declare const de_CreateAccessPointCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateAccessPointCommandOutput>;
/**
 * deserializeAws_restXmlCreateAccessPointForObjectLambdaCommand
 */
export declare const de_CreateAccessPointForObjectLambdaCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateAccessPointForObjectLambdaCommandOutput>;
/**
 * deserializeAws_restXmlCreateBucketCommand
 */
export declare const de_CreateBucketCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateBucketCommandOutput>;
/**
 * deserializeAws_restXmlCreateJobCommand
 */
export declare const de_CreateJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateJobCommandOutput>;
/**
 * deserializeAws_restXmlCreateMultiRegionAccessPointCommand
 */
export declare const de_CreateMultiRegionAccessPointCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateMultiRegionAccessPointCommandOutput>;
/**
 * deserializeAws_restXmlCreateStorageLensGroupCommand
 */
export declare const de_CreateStorageLensGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateStorageLensGroupCommandOutput>;
/**
 * deserializeAws_restXmlDeleteAccessGrantCommand
 */
export declare const de_DeleteAccessGrantCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteAccessGrantCommandOutput>;
/**
 * deserializeAws_restXmlDeleteAccessGrantsInstanceCommand
 */
export declare const de_DeleteAccessGrantsInstanceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteAccessGrantsInstanceCommandOutput>;
/**
 * deserializeAws_restXmlDeleteAccessGrantsInstanceResourcePolicyCommand
 */
export declare const de_DeleteAccessGrantsInstanceResourcePolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteAccessGrantsInstanceResourcePolicyCommandOutput>;
/**
 * deserializeAws_restXmlDeleteAccessGrantsLocationCommand
 */
export declare const de_DeleteAccessGrantsLocationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteAccessGrantsLocationCommandOutput>;
/**
 * deserializeAws_restXmlDeleteAccessPointCommand
 */
export declare const de_DeleteAccessPointCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteAccessPointCommandOutput>;
/**
 * deserializeAws_restXmlDeleteAccessPointForObjectLambdaCommand
 */
export declare const de_DeleteAccessPointForObjectLambdaCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteAccessPointForObjectLambdaCommandOutput>;
/**
 * deserializeAws_restXmlDeleteAccessPointPolicyCommand
 */
export declare const de_DeleteAccessPointPolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteAccessPointPolicyCommandOutput>;
/**
 * deserializeAws_restXmlDeleteAccessPointPolicyForObjectLambdaCommand
 */
export declare const de_DeleteAccessPointPolicyForObjectLambdaCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteAccessPointPolicyForObjectLambdaCommandOutput>;
/**
 * deserializeAws_restXmlDeleteBucketCommand
 */
export declare const de_DeleteBucketCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteBucketCommandOutput>;
/**
 * deserializeAws_restXmlDeleteBucketLifecycleConfigurationCommand
 */
export declare const de_DeleteBucketLifecycleConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteBucketLifecycleConfigurationCommandOutput>;
/**
 * deserializeAws_restXmlDeleteBucketPolicyCommand
 */
export declare const de_DeleteBucketPolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteBucketPolicyCommandOutput>;
/**
 * deserializeAws_restXmlDeleteBucketReplicationCommand
 */
export declare const de_DeleteBucketReplicationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteBucketReplicationCommandOutput>;
/**
 * deserializeAws_restXmlDeleteBucketTaggingCommand
 */
export declare const de_DeleteBucketTaggingCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteBucketTaggingCommandOutput>;
/**
 * deserializeAws_restXmlDeleteJobTaggingCommand
 */
export declare const de_DeleteJobTaggingCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteJobTaggingCommandOutput>;
/**
 * deserializeAws_restXmlDeleteMultiRegionAccessPointCommand
 */
export declare const de_DeleteMultiRegionAccessPointCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteMultiRegionAccessPointCommandOutput>;
/**
 * deserializeAws_restXmlDeletePublicAccessBlockCommand
 */
export declare const de_DeletePublicAccessBlockCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeletePublicAccessBlockCommandOutput>;
/**
 * deserializeAws_restXmlDeleteStorageLensConfigurationCommand
 */
export declare const de_DeleteStorageLensConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteStorageLensConfigurationCommandOutput>;
/**
 * deserializeAws_restXmlDeleteStorageLensConfigurationTaggingCommand
 */
export declare const de_DeleteStorageLensConfigurationTaggingCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteStorageLensConfigurationTaggingCommandOutput>;
/**
 * deserializeAws_restXmlDeleteStorageLensGroupCommand
 */
export declare const de_DeleteStorageLensGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteStorageLensGroupCommandOutput>;
/**
 * deserializeAws_restXmlDescribeJobCommand
 */
export declare const de_DescribeJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeJobCommandOutput>;
/**
 * deserializeAws_restXmlDescribeMultiRegionAccessPointOperationCommand
 */
export declare const de_DescribeMultiRegionAccessPointOperationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeMultiRegionAccessPointOperationCommandOutput>;
/**
 * deserializeAws_restXmlDissociateAccessGrantsIdentityCenterCommand
 */
export declare const de_DissociateAccessGrantsIdentityCenterCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DissociateAccessGrantsIdentityCenterCommandOutput>;
/**
 * deserializeAws_restXmlGetAccessGrantCommand
 */
export declare const de_GetAccessGrantCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetAccessGrantCommandOutput>;
/**
 * deserializeAws_restXmlGetAccessGrantsInstanceCommand
 */
export declare const de_GetAccessGrantsInstanceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetAccessGrantsInstanceCommandOutput>;
/**
 * deserializeAws_restXmlGetAccessGrantsInstanceForPrefixCommand
 */
export declare const de_GetAccessGrantsInstanceForPrefixCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetAccessGrantsInstanceForPrefixCommandOutput>;
/**
 * deserializeAws_restXmlGetAccessGrantsInstanceResourcePolicyCommand
 */
export declare const de_GetAccessGrantsInstanceResourcePolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetAccessGrantsInstanceResourcePolicyCommandOutput>;
/**
 * deserializeAws_restXmlGetAccessGrantsLocationCommand
 */
export declare const de_GetAccessGrantsLocationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetAccessGrantsLocationCommandOutput>;
/**
 * deserializeAws_restXmlGetAccessPointCommand
 */
export declare const de_GetAccessPointCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetAccessPointCommandOutput>;
/**
 * deserializeAws_restXmlGetAccessPointConfigurationForObjectLambdaCommand
 */
export declare const de_GetAccessPointConfigurationForObjectLambdaCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetAccessPointConfigurationForObjectLambdaCommandOutput>;
/**
 * deserializeAws_restXmlGetAccessPointForObjectLambdaCommand
 */
export declare const de_GetAccessPointForObjectLambdaCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetAccessPointForObjectLambdaCommandOutput>;
/**
 * deserializeAws_restXmlGetAccessPointPolicyCommand
 */
export declare const de_GetAccessPointPolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetAccessPointPolicyCommandOutput>;
/**
 * deserializeAws_restXmlGetAccessPointPolicyForObjectLambdaCommand
 */
export declare const de_GetAccessPointPolicyForObjectLambdaCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetAccessPointPolicyForObjectLambdaCommandOutput>;
/**
 * deserializeAws_restXmlGetAccessPointPolicyStatusCommand
 */
export declare const de_GetAccessPointPolicyStatusCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetAccessPointPolicyStatusCommandOutput>;
/**
 * deserializeAws_restXmlGetAccessPointPolicyStatusForObjectLambdaCommand
 */
export declare const de_GetAccessPointPolicyStatusForObjectLambdaCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetAccessPointPolicyStatusForObjectLambdaCommandOutput>;
/**
 * deserializeAws_restXmlGetBucketCommand
 */
export declare const de_GetBucketCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetBucketCommandOutput>;
/**
 * deserializeAws_restXmlGetBucketLifecycleConfigurationCommand
 */
export declare const de_GetBucketLifecycleConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetBucketLifecycleConfigurationCommandOutput>;
/**
 * deserializeAws_restXmlGetBucketPolicyCommand
 */
export declare const de_GetBucketPolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetBucketPolicyCommandOutput>;
/**
 * deserializeAws_restXmlGetBucketReplicationCommand
 */
export declare const de_GetBucketReplicationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetBucketReplicationCommandOutput>;
/**
 * deserializeAws_restXmlGetBucketTaggingCommand
 */
export declare const de_GetBucketTaggingCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetBucketTaggingCommandOutput>;
/**
 * deserializeAws_restXmlGetBucketVersioningCommand
 */
export declare const de_GetBucketVersioningCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetBucketVersioningCommandOutput>;
/**
 * deserializeAws_restXmlGetDataAccessCommand
 */
export declare const de_GetDataAccessCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetDataAccessCommandOutput>;
/**
 * deserializeAws_restXmlGetJobTaggingCommand
 */
export declare const de_GetJobTaggingCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetJobTaggingCommandOutput>;
/**
 * deserializeAws_restXmlGetMultiRegionAccessPointCommand
 */
export declare const de_GetMultiRegionAccessPointCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetMultiRegionAccessPointCommandOutput>;
/**
 * deserializeAws_restXmlGetMultiRegionAccessPointPolicyCommand
 */
export declare const de_GetMultiRegionAccessPointPolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetMultiRegionAccessPointPolicyCommandOutput>;
/**
 * deserializeAws_restXmlGetMultiRegionAccessPointPolicyStatusCommand
 */
export declare const de_GetMultiRegionAccessPointPolicyStatusCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetMultiRegionAccessPointPolicyStatusCommandOutput>;
/**
 * deserializeAws_restXmlGetMultiRegionAccessPointRoutesCommand
 */
export declare const de_GetMultiRegionAccessPointRoutesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetMultiRegionAccessPointRoutesCommandOutput>;
/**
 * deserializeAws_restXmlGetPublicAccessBlockCommand
 */
export declare const de_GetPublicAccessBlockCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetPublicAccessBlockCommandOutput>;
/**
 * deserializeAws_restXmlGetStorageLensConfigurationCommand
 */
export declare const de_GetStorageLensConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetStorageLensConfigurationCommandOutput>;
/**
 * deserializeAws_restXmlGetStorageLensConfigurationTaggingCommand
 */
export declare const de_GetStorageLensConfigurationTaggingCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetStorageLensConfigurationTaggingCommandOutput>;
/**
 * deserializeAws_restXmlGetStorageLensGroupCommand
 */
export declare const de_GetStorageLensGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetStorageLensGroupCommandOutput>;
/**
 * deserializeAws_restXmlListAccessGrantsCommand
 */
export declare const de_ListAccessGrantsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListAccessGrantsCommandOutput>;
/**
 * deserializeAws_restXmlListAccessGrantsInstancesCommand
 */
export declare const de_ListAccessGrantsInstancesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListAccessGrantsInstancesCommandOutput>;
/**
 * deserializeAws_restXmlListAccessGrantsLocationsCommand
 */
export declare const de_ListAccessGrantsLocationsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListAccessGrantsLocationsCommandOutput>;
/**
 * deserializeAws_restXmlListAccessPointsCommand
 */
export declare const de_ListAccessPointsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListAccessPointsCommandOutput>;
/**
 * deserializeAws_restXmlListAccessPointsForObjectLambdaCommand
 */
export declare const de_ListAccessPointsForObjectLambdaCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListAccessPointsForObjectLambdaCommandOutput>;
/**
 * deserializeAws_restXmlListCallerAccessGrantsCommand
 */
export declare const de_ListCallerAccessGrantsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListCallerAccessGrantsCommandOutput>;
/**
 * deserializeAws_restXmlListJobsCommand
 */
export declare const de_ListJobsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListJobsCommandOutput>;
/**
 * deserializeAws_restXmlListMultiRegionAccessPointsCommand
 */
export declare const de_ListMultiRegionAccessPointsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListMultiRegionAccessPointsCommandOutput>;
/**
 * deserializeAws_restXmlListRegionalBucketsCommand
 */
export declare const de_ListRegionalBucketsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListRegionalBucketsCommandOutput>;
/**
 * deserializeAws_restXmlListStorageLensConfigurationsCommand
 */
export declare const de_ListStorageLensConfigurationsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListStorageLensConfigurationsCommandOutput>;
/**
 * deserializeAws_restXmlListStorageLensGroupsCommand
 */
export declare const de_ListStorageLensGroupsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListStorageLensGroupsCommandOutput>;
/**
 * deserializeAws_restXmlListTagsForResourceCommand
 */
export declare const de_ListTagsForResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListTagsForResourceCommandOutput>;
/**
 * deserializeAws_restXmlPutAccessGrantsInstanceResourcePolicyCommand
 */
export declare const de_PutAccessGrantsInstanceResourcePolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutAccessGrantsInstanceResourcePolicyCommandOutput>;
/**
 * deserializeAws_restXmlPutAccessPointConfigurationForObjectLambdaCommand
 */
export declare const de_PutAccessPointConfigurationForObjectLambdaCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutAccessPointConfigurationForObjectLambdaCommandOutput>;
/**
 * deserializeAws_restXmlPutAccessPointPolicyCommand
 */
export declare const de_PutAccessPointPolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutAccessPointPolicyCommandOutput>;
/**
 * deserializeAws_restXmlPutAccessPointPolicyForObjectLambdaCommand
 */
export declare const de_PutAccessPointPolicyForObjectLambdaCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutAccessPointPolicyForObjectLambdaCommandOutput>;
/**
 * deserializeAws_restXmlPutBucketLifecycleConfigurationCommand
 */
export declare const de_PutBucketLifecycleConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutBucketLifecycleConfigurationCommandOutput>;
/**
 * deserializeAws_restXmlPutBucketPolicyCommand
 */
export declare const de_PutBucketPolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutBucketPolicyCommandOutput>;
/**
 * deserializeAws_restXmlPutBucketReplicationCommand
 */
export declare const de_PutBucketReplicationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutBucketReplicationCommandOutput>;
/**
 * deserializeAws_restXmlPutBucketTaggingCommand
 */
export declare const de_PutBucketTaggingCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutBucketTaggingCommandOutput>;
/**
 * deserializeAws_restXmlPutBucketVersioningCommand
 */
export declare const de_PutBucketVersioningCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutBucketVersioningCommandOutput>;
/**
 * deserializeAws_restXmlPutJobTaggingCommand
 */
export declare const de_PutJobTaggingCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutJobTaggingCommandOutput>;
/**
 * deserializeAws_restXmlPutMultiRegionAccessPointPolicyCommand
 */
export declare const de_PutMultiRegionAccessPointPolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutMultiRegionAccessPointPolicyCommandOutput>;
/**
 * deserializeAws_restXmlPutPublicAccessBlockCommand
 */
export declare const de_PutPublicAccessBlockCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutPublicAccessBlockCommandOutput>;
/**
 * deserializeAws_restXmlPutStorageLensConfigurationCommand
 */
export declare const de_PutStorageLensConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutStorageLensConfigurationCommandOutput>;
/**
 * deserializeAws_restXmlPutStorageLensConfigurationTaggingCommand
 */
export declare const de_PutStorageLensConfigurationTaggingCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutStorageLensConfigurationTaggingCommandOutput>;
/**
 * deserializeAws_restXmlSubmitMultiRegionAccessPointRoutesCommand
 */
export declare const de_SubmitMultiRegionAccessPointRoutesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<SubmitMultiRegionAccessPointRoutesCommandOutput>;
/**
 * deserializeAws_restXmlTagResourceCommand
 */
export declare const de_TagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<TagResourceCommandOutput>;
/**
 * deserializeAws_restXmlUntagResourceCommand
 */
export declare const de_UntagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UntagResourceCommandOutput>;
/**
 * deserializeAws_restXmlUpdateAccessGrantsLocationCommand
 */
export declare const de_UpdateAccessGrantsLocationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateAccessGrantsLocationCommandOutput>;
/**
 * deserializeAws_restXmlUpdateJobPriorityCommand
 */
export declare const de_UpdateJobPriorityCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateJobPriorityCommandOutput>;
/**
 * deserializeAws_restXmlUpdateJobStatusCommand
 */
export declare const de_UpdateJobStatusCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateJobStatusCommandOutput>;
/**
 * deserializeAws_restXmlUpdateStorageLensGroupCommand
 */
export declare const de_UpdateStorageLensGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateStorageLensGroupCommandOutput>;
