import { HttpHandlerOptions as __HttpHandlerOptions } from "@smithy/types";
import {
  AssociateAccessGrantsIdentityCenterCommandInput,
  AssociateAccessGrantsIdentityCenterCommandOutput,
} from "./commands/AssociateAccessGrantsIdentityCenterCommand";
import {
  CreateAccessGrantCommandInput,
  CreateAccessGrantCommandOutput,
} from "./commands/CreateAccessGrantCommand";
import {
  CreateAccessGrantsInstanceCommandInput,
  CreateAccessGrantsInstanceCommandOutput,
} from "./commands/CreateAccessGrantsInstanceCommand";
import {
  CreateAccessGrantsLocationCommandInput,
  CreateAccessGrantsLocationCommandOutput,
} from "./commands/CreateAccessGrantsLocationCommand";
import {
  CreateAccessPointCommandInput,
  CreateAccessPointCommandOutput,
} from "./commands/CreateAccessPointCommand";
import {
  CreateAccessPointForObjectLambdaCommandInput,
  CreateAccessPointForObjectLambdaCommandOutput,
} from "./commands/CreateAccessPointForObjectLambdaCommand";
import {
  CreateBucketCommandInput,
  CreateBucketCommandOutput,
} from "./commands/CreateBucketCommand";
import {
  CreateJobCommandInput,
  CreateJobCommandOutput,
} from "./commands/CreateJobCommand";
import {
  CreateMultiRegionAccessPointCommandInput,
  CreateMultiRegionAccessPointCommandOutput,
} from "./commands/CreateMultiRegionAccessPointCommand";
import {
  CreateStorageLensGroupCommandInput,
  CreateStorageLensGroupCommandOutput,
} from "./commands/CreateStorageLensGroupCommand";
import {
  DeleteAccessGrantCommandInput,
  DeleteAccessGrantCommandOutput,
} from "./commands/DeleteAccessGrantCommand";
import {
  DeleteAccessGrantsInstanceCommandInput,
  DeleteAccessGrantsInstanceCommandOutput,
} from "./commands/DeleteAccessGrantsInstanceCommand";
import {
  DeleteAccessGrantsInstanceResourcePolicyCommandInput,
  DeleteAccessGrantsInstanceResourcePolicyCommandOutput,
} from "./commands/DeleteAccessGrantsInstanceResourcePolicyCommand";
import {
  DeleteAccessGrantsLocationCommandInput,
  DeleteAccessGrantsLocationCommandOutput,
} from "./commands/DeleteAccessGrantsLocationCommand";
import {
  DeleteAccessPointCommandInput,
  DeleteAccessPointCommandOutput,
} from "./commands/DeleteAccessPointCommand";
import {
  DeleteAccessPointForObjectLambdaCommandInput,
  DeleteAccessPointForObjectLambdaCommandOutput,
} from "./commands/DeleteAccessPointForObjectLambdaCommand";
import {
  DeleteAccessPointPolicyCommandInput,
  DeleteAccessPointPolicyCommandOutput,
} from "./commands/DeleteAccessPointPolicyCommand";
import {
  DeleteAccessPointPolicyForObjectLambdaCommandInput,
  DeleteAccessPointPolicyForObjectLambdaCommandOutput,
} from "./commands/DeleteAccessPointPolicyForObjectLambdaCommand";
import {
  DeleteBucketCommandInput,
  DeleteBucketCommandOutput,
} from "./commands/DeleteBucketCommand";
import {
  DeleteBucketLifecycleConfigurationCommandInput,
  DeleteBucketLifecycleConfigurationCommandOutput,
} from "./commands/DeleteBucketLifecycleConfigurationCommand";
import {
  DeleteBucketPolicyCommandInput,
  DeleteBucketPolicyCommandOutput,
} from "./commands/DeleteBucketPolicyCommand";
import {
  DeleteBucketReplicationCommandInput,
  DeleteBucketReplicationCommandOutput,
} from "./commands/DeleteBucketReplicationCommand";
import {
  DeleteBucketTaggingCommandInput,
  DeleteBucketTaggingCommandOutput,
} from "./commands/DeleteBucketTaggingCommand";
import {
  DeleteJobTaggingCommandInput,
  DeleteJobTaggingCommandOutput,
} from "./commands/DeleteJobTaggingCommand";
import {
  DeleteMultiRegionAccessPointCommandInput,
  DeleteMultiRegionAccessPointCommandOutput,
} from "./commands/DeleteMultiRegionAccessPointCommand";
import {
  DeletePublicAccessBlockCommandInput,
  DeletePublicAccessBlockCommandOutput,
} from "./commands/DeletePublicAccessBlockCommand";
import {
  DeleteStorageLensConfigurationCommandInput,
  DeleteStorageLensConfigurationCommandOutput,
} from "./commands/DeleteStorageLensConfigurationCommand";
import {
  DeleteStorageLensConfigurationTaggingCommandInput,
  DeleteStorageLensConfigurationTaggingCommandOutput,
} from "./commands/DeleteStorageLensConfigurationTaggingCommand";
import {
  DeleteStorageLensGroupCommandInput,
  DeleteStorageLensGroupCommandOutput,
} from "./commands/DeleteStorageLensGroupCommand";
import {
  DescribeJobCommandInput,
  DescribeJobCommandOutput,
} from "./commands/DescribeJobCommand";
import {
  DescribeMultiRegionAccessPointOperationCommandInput,
  DescribeMultiRegionAccessPointOperationCommandOutput,
} from "./commands/DescribeMultiRegionAccessPointOperationCommand";
import {
  DissociateAccessGrantsIdentityCenterCommandInput,
  DissociateAccessGrantsIdentityCenterCommandOutput,
} from "./commands/DissociateAccessGrantsIdentityCenterCommand";
import {
  GetAccessGrantCommandInput,
  GetAccessGrantCommandOutput,
} from "./commands/GetAccessGrantCommand";
import {
  GetAccessGrantsInstanceCommandInput,
  GetAccessGrantsInstanceCommandOutput,
} from "./commands/GetAccessGrantsInstanceCommand";
import {
  GetAccessGrantsInstanceForPrefixCommandInput,
  GetAccessGrantsInstanceForPrefixCommandOutput,
} from "./commands/GetAccessGrantsInstanceForPrefixCommand";
import {
  GetAccessGrantsInstanceResourcePolicyCommandInput,
  GetAccessGrantsInstanceResourcePolicyCommandOutput,
} from "./commands/GetAccessGrantsInstanceResourcePolicyCommand";
import {
  GetAccessGrantsLocationCommandInput,
  GetAccessGrantsLocationCommandOutput,
} from "./commands/GetAccessGrantsLocationCommand";
import {
  GetAccessPointCommandInput,
  GetAccessPointCommandOutput,
} from "./commands/GetAccessPointCommand";
import {
  GetAccessPointConfigurationForObjectLambdaCommandInput,
  GetAccessPointConfigurationForObjectLambdaCommandOutput,
} from "./commands/GetAccessPointConfigurationForObjectLambdaCommand";
import {
  GetAccessPointForObjectLambdaCommandInput,
  GetAccessPointForObjectLambdaCommandOutput,
} from "./commands/GetAccessPointForObjectLambdaCommand";
import {
  GetAccessPointPolicyCommandInput,
  GetAccessPointPolicyCommandOutput,
} from "./commands/GetAccessPointPolicyCommand";
import {
  GetAccessPointPolicyForObjectLambdaCommandInput,
  GetAccessPointPolicyForObjectLambdaCommandOutput,
} from "./commands/GetAccessPointPolicyForObjectLambdaCommand";
import {
  GetAccessPointPolicyStatusCommandInput,
  GetAccessPointPolicyStatusCommandOutput,
} from "./commands/GetAccessPointPolicyStatusCommand";
import {
  GetAccessPointPolicyStatusForObjectLambdaCommandInput,
  GetAccessPointPolicyStatusForObjectLambdaCommandOutput,
} from "./commands/GetAccessPointPolicyStatusForObjectLambdaCommand";
import {
  GetBucketCommandInput,
  GetBucketCommandOutput,
} from "./commands/GetBucketCommand";
import {
  GetBucketLifecycleConfigurationCommandInput,
  GetBucketLifecycleConfigurationCommandOutput,
} from "./commands/GetBucketLifecycleConfigurationCommand";
import {
  GetBucketPolicyCommandInput,
  GetBucketPolicyCommandOutput,
} from "./commands/GetBucketPolicyCommand";
import {
  GetBucketReplicationCommandInput,
  GetBucketReplicationCommandOutput,
} from "./commands/GetBucketReplicationCommand";
import {
  GetBucketTaggingCommandInput,
  GetBucketTaggingCommandOutput,
} from "./commands/GetBucketTaggingCommand";
import {
  GetBucketVersioningCommandInput,
  GetBucketVersioningCommandOutput,
} from "./commands/GetBucketVersioningCommand";
import {
  GetDataAccessCommandInput,
  GetDataAccessCommandOutput,
} from "./commands/GetDataAccessCommand";
import {
  GetJobTaggingCommandInput,
  GetJobTaggingCommandOutput,
} from "./commands/GetJobTaggingCommand";
import {
  GetMultiRegionAccessPointCommandInput,
  GetMultiRegionAccessPointCommandOutput,
} from "./commands/GetMultiRegionAccessPointCommand";
import {
  GetMultiRegionAccessPointPolicyCommandInput,
  GetMultiRegionAccessPointPolicyCommandOutput,
} from "./commands/GetMultiRegionAccessPointPolicyCommand";
import {
  GetMultiRegionAccessPointPolicyStatusCommandInput,
  GetMultiRegionAccessPointPolicyStatusCommandOutput,
} from "./commands/GetMultiRegionAccessPointPolicyStatusCommand";
import {
  GetMultiRegionAccessPointRoutesCommandInput,
  GetMultiRegionAccessPointRoutesCommandOutput,
} from "./commands/GetMultiRegionAccessPointRoutesCommand";
import {
  GetPublicAccessBlockCommandInput,
  GetPublicAccessBlockCommandOutput,
} from "./commands/GetPublicAccessBlockCommand";
import {
  GetStorageLensConfigurationCommandInput,
  GetStorageLensConfigurationCommandOutput,
} from "./commands/GetStorageLensConfigurationCommand";
import {
  GetStorageLensConfigurationTaggingCommandInput,
  GetStorageLensConfigurationTaggingCommandOutput,
} from "./commands/GetStorageLensConfigurationTaggingCommand";
import {
  GetStorageLensGroupCommandInput,
  GetStorageLensGroupCommandOutput,
} from "./commands/GetStorageLensGroupCommand";
import {
  ListAccessGrantsCommandInput,
  ListAccessGrantsCommandOutput,
} from "./commands/ListAccessGrantsCommand";
import {
  ListAccessGrantsInstancesCommandInput,
  ListAccessGrantsInstancesCommandOutput,
} from "./commands/ListAccessGrantsInstancesCommand";
import {
  ListAccessGrantsLocationsCommandInput,
  ListAccessGrantsLocationsCommandOutput,
} from "./commands/ListAccessGrantsLocationsCommand";
import {
  ListAccessPointsCommandInput,
  ListAccessPointsCommandOutput,
} from "./commands/ListAccessPointsCommand";
import {
  ListAccessPointsForObjectLambdaCommandInput,
  ListAccessPointsForObjectLambdaCommandOutput,
} from "./commands/ListAccessPointsForObjectLambdaCommand";
import {
  ListCallerAccessGrantsCommandInput,
  ListCallerAccessGrantsCommandOutput,
} from "./commands/ListCallerAccessGrantsCommand";
import {
  ListJobsCommandInput,
  ListJobsCommandOutput,
} from "./commands/ListJobsCommand";
import {
  ListMultiRegionAccessPointsCommandInput,
  ListMultiRegionAccessPointsCommandOutput,
} from "./commands/ListMultiRegionAccessPointsCommand";
import {
  ListRegionalBucketsCommandInput,
  ListRegionalBucketsCommandOutput,
} from "./commands/ListRegionalBucketsCommand";
import {
  ListStorageLensConfigurationsCommandInput,
  ListStorageLensConfigurationsCommandOutput,
} from "./commands/ListStorageLensConfigurationsCommand";
import {
  ListStorageLensGroupsCommandInput,
  ListStorageLensGroupsCommandOutput,
} from "./commands/ListStorageLensGroupsCommand";
import {
  ListTagsForResourceCommandInput,
  ListTagsForResourceCommandOutput,
} from "./commands/ListTagsForResourceCommand";
import {
  PutAccessGrantsInstanceResourcePolicyCommandInput,
  PutAccessGrantsInstanceResourcePolicyCommandOutput,
} from "./commands/PutAccessGrantsInstanceResourcePolicyCommand";
import {
  PutAccessPointConfigurationForObjectLambdaCommandInput,
  PutAccessPointConfigurationForObjectLambdaCommandOutput,
} from "./commands/PutAccessPointConfigurationForObjectLambdaCommand";
import {
  PutAccessPointPolicyCommandInput,
  PutAccessPointPolicyCommandOutput,
} from "./commands/PutAccessPointPolicyCommand";
import {
  PutAccessPointPolicyForObjectLambdaCommandInput,
  PutAccessPointPolicyForObjectLambdaCommandOutput,
} from "./commands/PutAccessPointPolicyForObjectLambdaCommand";
import {
  PutBucketLifecycleConfigurationCommandInput,
  PutBucketLifecycleConfigurationCommandOutput,
} from "./commands/PutBucketLifecycleConfigurationCommand";
import {
  PutBucketPolicyCommandInput,
  PutBucketPolicyCommandOutput,
} from "./commands/PutBucketPolicyCommand";
import {
  PutBucketReplicationCommandInput,
  PutBucketReplicationCommandOutput,
} from "./commands/PutBucketReplicationCommand";
import {
  PutBucketTaggingCommandInput,
  PutBucketTaggingCommandOutput,
} from "./commands/PutBucketTaggingCommand";
import {
  PutBucketVersioningCommandInput,
  PutBucketVersioningCommandOutput,
} from "./commands/PutBucketVersioningCommand";
import {
  PutJobTaggingCommandInput,
  PutJobTaggingCommandOutput,
} from "./commands/PutJobTaggingCommand";
import {
  PutMultiRegionAccessPointPolicyCommandInput,
  PutMultiRegionAccessPointPolicyCommandOutput,
} from "./commands/PutMultiRegionAccessPointPolicyCommand";
import {
  PutPublicAccessBlockCommandInput,
  PutPublicAccessBlockCommandOutput,
} from "./commands/PutPublicAccessBlockCommand";
import {
  PutStorageLensConfigurationCommandInput,
  PutStorageLensConfigurationCommandOutput,
} from "./commands/PutStorageLensConfigurationCommand";
import {
  PutStorageLensConfigurationTaggingCommandInput,
  PutStorageLensConfigurationTaggingCommandOutput,
} from "./commands/PutStorageLensConfigurationTaggingCommand";
import {
  SubmitMultiRegionAccessPointRoutesCommandInput,
  SubmitMultiRegionAccessPointRoutesCommandOutput,
} from "./commands/SubmitMultiRegionAccessPointRoutesCommand";
import {
  TagResourceCommandInput,
  TagResourceCommandOutput,
} from "./commands/TagResourceCommand";
import {
  UntagResourceCommandInput,
  UntagResourceCommandOutput,
} from "./commands/UntagResourceCommand";
import {
  UpdateAccessGrantsLocationCommandInput,
  UpdateAccessGrantsLocationCommandOutput,
} from "./commands/UpdateAccessGrantsLocationCommand";
import {
  UpdateJobPriorityCommandInput,
  UpdateJobPriorityCommandOutput,
} from "./commands/UpdateJobPriorityCommand";
import {
  UpdateJobStatusCommandInput,
  UpdateJobStatusCommandOutput,
} from "./commands/UpdateJobStatusCommand";
import {
  UpdateStorageLensGroupCommandInput,
  UpdateStorageLensGroupCommandOutput,
} from "./commands/UpdateStorageLensGroupCommand";
import { S3ControlClient } from "./S3ControlClient";
export interface S3Control {
  associateAccessGrantsIdentityCenter(
    args: AssociateAccessGrantsIdentityCenterCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<AssociateAccessGrantsIdentityCenterCommandOutput>;
  associateAccessGrantsIdentityCenter(
    args: AssociateAccessGrantsIdentityCenterCommandInput,
    cb: (
      err: any,
      data?: AssociateAccessGrantsIdentityCenterCommandOutput
    ) => void
  ): void;
  associateAccessGrantsIdentityCenter(
    args: AssociateAccessGrantsIdentityCenterCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: AssociateAccessGrantsIdentityCenterCommandOutput
    ) => void
  ): void;
  createAccessGrant(
    args: CreateAccessGrantCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<CreateAccessGrantCommandOutput>;
  createAccessGrant(
    args: CreateAccessGrantCommandInput,
    cb: (err: any, data?: CreateAccessGrantCommandOutput) => void
  ): void;
  createAccessGrant(
    args: CreateAccessGrantCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: CreateAccessGrantCommandOutput) => void
  ): void;
  createAccessGrantsInstance(): Promise<CreateAccessGrantsInstanceCommandOutput>;
  createAccessGrantsInstance(
    args: CreateAccessGrantsInstanceCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<CreateAccessGrantsInstanceCommandOutput>;
  createAccessGrantsInstance(
    args: CreateAccessGrantsInstanceCommandInput,
    cb: (err: any, data?: CreateAccessGrantsInstanceCommandOutput) => void
  ): void;
  createAccessGrantsInstance(
    args: CreateAccessGrantsInstanceCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: CreateAccessGrantsInstanceCommandOutput) => void
  ): void;
  createAccessGrantsLocation(
    args: CreateAccessGrantsLocationCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<CreateAccessGrantsLocationCommandOutput>;
  createAccessGrantsLocation(
    args: CreateAccessGrantsLocationCommandInput,
    cb: (err: any, data?: CreateAccessGrantsLocationCommandOutput) => void
  ): void;
  createAccessGrantsLocation(
    args: CreateAccessGrantsLocationCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: CreateAccessGrantsLocationCommandOutput) => void
  ): void;
  createAccessPoint(
    args: CreateAccessPointCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<CreateAccessPointCommandOutput>;
  createAccessPoint(
    args: CreateAccessPointCommandInput,
    cb: (err: any, data?: CreateAccessPointCommandOutput) => void
  ): void;
  createAccessPoint(
    args: CreateAccessPointCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: CreateAccessPointCommandOutput) => void
  ): void;
  createAccessPointForObjectLambda(
    args: CreateAccessPointForObjectLambdaCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<CreateAccessPointForObjectLambdaCommandOutput>;
  createAccessPointForObjectLambda(
    args: CreateAccessPointForObjectLambdaCommandInput,
    cb: (err: any, data?: CreateAccessPointForObjectLambdaCommandOutput) => void
  ): void;
  createAccessPointForObjectLambda(
    args: CreateAccessPointForObjectLambdaCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: CreateAccessPointForObjectLambdaCommandOutput) => void
  ): void;
  createBucket(
    args: CreateBucketCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<CreateBucketCommandOutput>;
  createBucket(
    args: CreateBucketCommandInput,
    cb: (err: any, data?: CreateBucketCommandOutput) => void
  ): void;
  createBucket(
    args: CreateBucketCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: CreateBucketCommandOutput) => void
  ): void;
  createJob(
    args: CreateJobCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<CreateJobCommandOutput>;
  createJob(
    args: CreateJobCommandInput,
    cb: (err: any, data?: CreateJobCommandOutput) => void
  ): void;
  createJob(
    args: CreateJobCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: CreateJobCommandOutput) => void
  ): void;
  createMultiRegionAccessPoint(
    args: CreateMultiRegionAccessPointCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<CreateMultiRegionAccessPointCommandOutput>;
  createMultiRegionAccessPoint(
    args: CreateMultiRegionAccessPointCommandInput,
    cb: (err: any, data?: CreateMultiRegionAccessPointCommandOutput) => void
  ): void;
  createMultiRegionAccessPoint(
    args: CreateMultiRegionAccessPointCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: CreateMultiRegionAccessPointCommandOutput) => void
  ): void;
  createStorageLensGroup(
    args: CreateStorageLensGroupCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<CreateStorageLensGroupCommandOutput>;
  createStorageLensGroup(
    args: CreateStorageLensGroupCommandInput,
    cb: (err: any, data?: CreateStorageLensGroupCommandOutput) => void
  ): void;
  createStorageLensGroup(
    args: CreateStorageLensGroupCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: CreateStorageLensGroupCommandOutput) => void
  ): void;
  deleteAccessGrant(
    args: DeleteAccessGrantCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteAccessGrantCommandOutput>;
  deleteAccessGrant(
    args: DeleteAccessGrantCommandInput,
    cb: (err: any, data?: DeleteAccessGrantCommandOutput) => void
  ): void;
  deleteAccessGrant(
    args: DeleteAccessGrantCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DeleteAccessGrantCommandOutput) => void
  ): void;
  deleteAccessGrantsInstance(): Promise<DeleteAccessGrantsInstanceCommandOutput>;
  deleteAccessGrantsInstance(
    args: DeleteAccessGrantsInstanceCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteAccessGrantsInstanceCommandOutput>;
  deleteAccessGrantsInstance(
    args: DeleteAccessGrantsInstanceCommandInput,
    cb: (err: any, data?: DeleteAccessGrantsInstanceCommandOutput) => void
  ): void;
  deleteAccessGrantsInstance(
    args: DeleteAccessGrantsInstanceCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DeleteAccessGrantsInstanceCommandOutput) => void
  ): void;
  deleteAccessGrantsInstanceResourcePolicy(): Promise<DeleteAccessGrantsInstanceResourcePolicyCommandOutput>;
  deleteAccessGrantsInstanceResourcePolicy(
    args: DeleteAccessGrantsInstanceResourcePolicyCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteAccessGrantsInstanceResourcePolicyCommandOutput>;
  deleteAccessGrantsInstanceResourcePolicy(
    args: DeleteAccessGrantsInstanceResourcePolicyCommandInput,
    cb: (
      err: any,
      data?: DeleteAccessGrantsInstanceResourcePolicyCommandOutput
    ) => void
  ): void;
  deleteAccessGrantsInstanceResourcePolicy(
    args: DeleteAccessGrantsInstanceResourcePolicyCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: DeleteAccessGrantsInstanceResourcePolicyCommandOutput
    ) => void
  ): void;
  deleteAccessGrantsLocation(
    args: DeleteAccessGrantsLocationCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteAccessGrantsLocationCommandOutput>;
  deleteAccessGrantsLocation(
    args: DeleteAccessGrantsLocationCommandInput,
    cb: (err: any, data?: DeleteAccessGrantsLocationCommandOutput) => void
  ): void;
  deleteAccessGrantsLocation(
    args: DeleteAccessGrantsLocationCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DeleteAccessGrantsLocationCommandOutput) => void
  ): void;
  deleteAccessPoint(
    args: DeleteAccessPointCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteAccessPointCommandOutput>;
  deleteAccessPoint(
    args: DeleteAccessPointCommandInput,
    cb: (err: any, data?: DeleteAccessPointCommandOutput) => void
  ): void;
  deleteAccessPoint(
    args: DeleteAccessPointCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DeleteAccessPointCommandOutput) => void
  ): void;
  deleteAccessPointForObjectLambda(
    args: DeleteAccessPointForObjectLambdaCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteAccessPointForObjectLambdaCommandOutput>;
  deleteAccessPointForObjectLambda(
    args: DeleteAccessPointForObjectLambdaCommandInput,
    cb: (err: any, data?: DeleteAccessPointForObjectLambdaCommandOutput) => void
  ): void;
  deleteAccessPointForObjectLambda(
    args: DeleteAccessPointForObjectLambdaCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DeleteAccessPointForObjectLambdaCommandOutput) => void
  ): void;
  deleteAccessPointPolicy(
    args: DeleteAccessPointPolicyCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteAccessPointPolicyCommandOutput>;
  deleteAccessPointPolicy(
    args: DeleteAccessPointPolicyCommandInput,
    cb: (err: any, data?: DeleteAccessPointPolicyCommandOutput) => void
  ): void;
  deleteAccessPointPolicy(
    args: DeleteAccessPointPolicyCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DeleteAccessPointPolicyCommandOutput) => void
  ): void;
  deleteAccessPointPolicyForObjectLambda(
    args: DeleteAccessPointPolicyForObjectLambdaCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteAccessPointPolicyForObjectLambdaCommandOutput>;
  deleteAccessPointPolicyForObjectLambda(
    args: DeleteAccessPointPolicyForObjectLambdaCommandInput,
    cb: (
      err: any,
      data?: DeleteAccessPointPolicyForObjectLambdaCommandOutput
    ) => void
  ): void;
  deleteAccessPointPolicyForObjectLambda(
    args: DeleteAccessPointPolicyForObjectLambdaCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: DeleteAccessPointPolicyForObjectLambdaCommandOutput
    ) => void
  ): void;
  deleteBucket(
    args: DeleteBucketCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteBucketCommandOutput>;
  deleteBucket(
    args: DeleteBucketCommandInput,
    cb: (err: any, data?: DeleteBucketCommandOutput) => void
  ): void;
  deleteBucket(
    args: DeleteBucketCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DeleteBucketCommandOutput) => void
  ): void;
  deleteBucketLifecycleConfiguration(
    args: DeleteBucketLifecycleConfigurationCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteBucketLifecycleConfigurationCommandOutput>;
  deleteBucketLifecycleConfiguration(
    args: DeleteBucketLifecycleConfigurationCommandInput,
    cb: (
      err: any,
      data?: DeleteBucketLifecycleConfigurationCommandOutput
    ) => void
  ): void;
  deleteBucketLifecycleConfiguration(
    args: DeleteBucketLifecycleConfigurationCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: DeleteBucketLifecycleConfigurationCommandOutput
    ) => void
  ): void;
  deleteBucketPolicy(
    args: DeleteBucketPolicyCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteBucketPolicyCommandOutput>;
  deleteBucketPolicy(
    args: DeleteBucketPolicyCommandInput,
    cb: (err: any, data?: DeleteBucketPolicyCommandOutput) => void
  ): void;
  deleteBucketPolicy(
    args: DeleteBucketPolicyCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DeleteBucketPolicyCommandOutput) => void
  ): void;
  deleteBucketReplication(
    args: DeleteBucketReplicationCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteBucketReplicationCommandOutput>;
  deleteBucketReplication(
    args: DeleteBucketReplicationCommandInput,
    cb: (err: any, data?: DeleteBucketReplicationCommandOutput) => void
  ): void;
  deleteBucketReplication(
    args: DeleteBucketReplicationCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DeleteBucketReplicationCommandOutput) => void
  ): void;
  deleteBucketTagging(
    args: DeleteBucketTaggingCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteBucketTaggingCommandOutput>;
  deleteBucketTagging(
    args: DeleteBucketTaggingCommandInput,
    cb: (err: any, data?: DeleteBucketTaggingCommandOutput) => void
  ): void;
  deleteBucketTagging(
    args: DeleteBucketTaggingCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DeleteBucketTaggingCommandOutput) => void
  ): void;
  deleteJobTagging(
    args: DeleteJobTaggingCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteJobTaggingCommandOutput>;
  deleteJobTagging(
    args: DeleteJobTaggingCommandInput,
    cb: (err: any, data?: DeleteJobTaggingCommandOutput) => void
  ): void;
  deleteJobTagging(
    args: DeleteJobTaggingCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DeleteJobTaggingCommandOutput) => void
  ): void;
  deleteMultiRegionAccessPoint(
    args: DeleteMultiRegionAccessPointCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteMultiRegionAccessPointCommandOutput>;
  deleteMultiRegionAccessPoint(
    args: DeleteMultiRegionAccessPointCommandInput,
    cb: (err: any, data?: DeleteMultiRegionAccessPointCommandOutput) => void
  ): void;
  deleteMultiRegionAccessPoint(
    args: DeleteMultiRegionAccessPointCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DeleteMultiRegionAccessPointCommandOutput) => void
  ): void;
  deletePublicAccessBlock(): Promise<DeletePublicAccessBlockCommandOutput>;
  deletePublicAccessBlock(
    args: DeletePublicAccessBlockCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeletePublicAccessBlockCommandOutput>;
  deletePublicAccessBlock(
    args: DeletePublicAccessBlockCommandInput,
    cb: (err: any, data?: DeletePublicAccessBlockCommandOutput) => void
  ): void;
  deletePublicAccessBlock(
    args: DeletePublicAccessBlockCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DeletePublicAccessBlockCommandOutput) => void
  ): void;
  deleteStorageLensConfiguration(
    args: DeleteStorageLensConfigurationCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteStorageLensConfigurationCommandOutput>;
  deleteStorageLensConfiguration(
    args: DeleteStorageLensConfigurationCommandInput,
    cb: (err: any, data?: DeleteStorageLensConfigurationCommandOutput) => void
  ): void;
  deleteStorageLensConfiguration(
    args: DeleteStorageLensConfigurationCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DeleteStorageLensConfigurationCommandOutput) => void
  ): void;
  deleteStorageLensConfigurationTagging(
    args: DeleteStorageLensConfigurationTaggingCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteStorageLensConfigurationTaggingCommandOutput>;
  deleteStorageLensConfigurationTagging(
    args: DeleteStorageLensConfigurationTaggingCommandInput,
    cb: (
      err: any,
      data?: DeleteStorageLensConfigurationTaggingCommandOutput
    ) => void
  ): void;
  deleteStorageLensConfigurationTagging(
    args: DeleteStorageLensConfigurationTaggingCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: DeleteStorageLensConfigurationTaggingCommandOutput
    ) => void
  ): void;
  deleteStorageLensGroup(
    args: DeleteStorageLensGroupCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DeleteStorageLensGroupCommandOutput>;
  deleteStorageLensGroup(
    args: DeleteStorageLensGroupCommandInput,
    cb: (err: any, data?: DeleteStorageLensGroupCommandOutput) => void
  ): void;
  deleteStorageLensGroup(
    args: DeleteStorageLensGroupCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DeleteStorageLensGroupCommandOutput) => void
  ): void;
  describeJob(
    args: DescribeJobCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DescribeJobCommandOutput>;
  describeJob(
    args: DescribeJobCommandInput,
    cb: (err: any, data?: DescribeJobCommandOutput) => void
  ): void;
  describeJob(
    args: DescribeJobCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: DescribeJobCommandOutput) => void
  ): void;
  describeMultiRegionAccessPointOperation(
    args: DescribeMultiRegionAccessPointOperationCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DescribeMultiRegionAccessPointOperationCommandOutput>;
  describeMultiRegionAccessPointOperation(
    args: DescribeMultiRegionAccessPointOperationCommandInput,
    cb: (
      err: any,
      data?: DescribeMultiRegionAccessPointOperationCommandOutput
    ) => void
  ): void;
  describeMultiRegionAccessPointOperation(
    args: DescribeMultiRegionAccessPointOperationCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: DescribeMultiRegionAccessPointOperationCommandOutput
    ) => void
  ): void;
  dissociateAccessGrantsIdentityCenter(): Promise<DissociateAccessGrantsIdentityCenterCommandOutput>;
  dissociateAccessGrantsIdentityCenter(
    args: DissociateAccessGrantsIdentityCenterCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<DissociateAccessGrantsIdentityCenterCommandOutput>;
  dissociateAccessGrantsIdentityCenter(
    args: DissociateAccessGrantsIdentityCenterCommandInput,
    cb: (
      err: any,
      data?: DissociateAccessGrantsIdentityCenterCommandOutput
    ) => void
  ): void;
  dissociateAccessGrantsIdentityCenter(
    args: DissociateAccessGrantsIdentityCenterCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: DissociateAccessGrantsIdentityCenterCommandOutput
    ) => void
  ): void;
  getAccessGrant(
    args: GetAccessGrantCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<GetAccessGrantCommandOutput>;
  getAccessGrant(
    args: GetAccessGrantCommandInput,
    cb: (err: any, data?: GetAccessGrantCommandOutput) => void
  ): void;
  getAccessGrant(
    args: GetAccessGrantCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: GetAccessGrantCommandOutput) => void
  ): void;
  getAccessGrantsInstance(): Promise<GetAccessGrantsInstanceCommandOutput>;
  getAccessGrantsInstance(
    args: GetAccessGrantsInstanceCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<GetAccessGrantsInstanceCommandOutput>;
  getAccessGrantsInstance(
    args: GetAccessGrantsInstanceCommandInput,
    cb: (err: any, data?: GetAccessGrantsInstanceCommandOutput) => void
  ): void;
  getAccessGrantsInstance(
    args: GetAccessGrantsInstanceCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: GetAccessGrantsInstanceCommandOutput) => void
  ): void;
  getAccessGrantsInstanceForPrefix(
    args: GetAccessGrantsInstanceForPrefixCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<GetAccessGrantsInstanceForPrefixCommandOutput>;
  getAccessGrantsInstanceForPrefix(
    args: GetAccessGrantsInstanceForPrefixCommandInput,
    cb: (err: any, data?: GetAccessGrantsInstanceForPrefixCommandOutput) => void
  ): void;
  getAccessGrantsInstanceForPrefix(
    args: GetAccessGrantsInstanceForPrefixCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: GetAccessGrantsInstanceForPrefixCommandOutput) => void
  ): void;
  getAccessGrantsInstanceResourcePolicy(): Promise<GetAccessGrantsInstanceResourcePolicyCommandOutput>;
  getAccessGrantsInstanceResourcePolicy(
    args: GetAccessGrantsInstanceResourcePolicyCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<GetAccessGrantsInstanceResourcePolicyCommandOutput>;
  getAccessGrantsInstanceResourcePolicy(
    args: GetAccessGrantsInstanceResourcePolicyCommandInput,
    cb: (
      err: any,
      data?: GetAccessGrantsInstanceResourcePolicyCommandOutput
    ) => void
  ): void;
  getAccessGrantsInstanceResourcePolicy(
    args: GetAccessGrantsInstanceResourcePolicyCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: GetAccessGrantsInstanceResourcePolicyCommandOutput
    ) => void
  ): void;
  getAccessGrantsLocation(
    args: GetAccessGrantsLocationCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<GetAccessGrantsLocationCommandOutput>;
  getAccessGrantsLocation(
    args: GetAccessGrantsLocationCommandInput,
    cb: (err: any, data?: GetAccessGrantsLocationCommandOutput) => void
  ): void;
  getAccessGrantsLocation(
    args: GetAccessGrantsLocationCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: GetAccessGrantsLocationCommandOutput) => void
  ): void;
  getAccessPoint(
    args: GetAccessPointCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<GetAccessPointCommandOutput>;
  getAccessPoint(
    args: GetAccessPointCommandInput,
    cb: (err: any, data?: GetAccessPointCommandOutput) => void
  ): void;
  getAccessPoint(
    args: GetAccessPointCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: GetAccessPointCommandOutput) => void
  ): void;
  getAccessPointConfigurationForObjectLambda(
    args: GetAccessPointConfigurationForObjectLambdaCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<GetAccessPointConfigurationForObjectLambdaCommandOutput>;
  getAccessPointConfigurationForObjectLambda(
    args: GetAccessPointConfigurationForObjectLambdaCommandInput,
    cb: (
      err: any,
      data?: GetAccessPointConfigurationForObjectLambdaCommandOutput
    ) => void
  ): void;
  getAccessPointConfigurationForObjectLambda(
    args: GetAccessPointConfigurationForObjectLambdaCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: GetAccessPointConfigurationForObjectLambdaCommandOutput
    ) => void
  ): void;
  getAccessPointForObjectLambda(
    args: GetAccessPointForObjectLambdaCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<GetAccessPointForObjectLambdaCommandOutput>;
  getAccessPointForObjectLambda(
    args: GetAccessPointForObjectLambdaCommandInput,
    cb: (err: any, data?: GetAccessPointForObjectLambdaCommandOutput) => void
  ): void;
  getAccessPointForObjectLambda(
    args: GetAccessPointForObjectLambdaCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: GetAccessPointForObjectLambdaCommandOutput) => void
  ): void;
  getAccessPointPolicy(
    args: GetAccessPointPolicyCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<GetAccessPointPolicyCommandOutput>;
  getAccessPointPolicy(
    args: GetAccessPointPolicyCommandInput,
    cb: (err: any, data?: GetAccessPointPolicyCommandOutput) => void
  ): void;
  getAccessPointPolicy(
    args: GetAccessPointPolicyCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: GetAccessPointPolicyCommandOutput) => void
  ): void;
  getAccessPointPolicyForObjectLambda(
    args: GetAccessPointPolicyForObjectLambdaCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<GetAccessPointPolicyForObjectLambdaCommandOutput>;
  getAccessPointPolicyForObjectLambda(
    args: GetAccessPointPolicyForObjectLambdaCommandInput,
    cb: (
      err: any,
      data?: GetAccessPointPolicyForObjectLambdaCommandOutput
    ) => void
  ): void;
  getAccessPointPolicyForObjectLambda(
    args: GetAccessPointPolicyForObjectLambdaCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: GetAccessPointPolicyForObjectLambdaCommandOutput
    ) => void
  ): void;
  getAccessPointPolicyStatus(
    args: GetAccessPointPolicyStatusCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<GetAccessPointPolicyStatusCommandOutput>;
  getAccessPointPolicyStatus(
    args: GetAccessPointPolicyStatusCommandInput,
    cb: (err: any, data?: GetAccessPointPolicyStatusCommandOutput) => void
  ): void;
  getAccessPointPolicyStatus(
    args: GetAccessPointPolicyStatusCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: GetAccessPointPolicyStatusCommandOutput) => void
  ): void;
  getAccessPointPolicyStatusForObjectLambda(
    args: GetAccessPointPolicyStatusForObjectLambdaCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<GetAccessPointPolicyStatusForObjectLambdaCommandOutput>;
  getAccessPointPolicyStatusForObjectLambda(
    args: GetAccessPointPolicyStatusForObjectLambdaCommandInput,
    cb: (
      err: any,
      data?: GetAccessPointPolicyStatusForObjectLambdaCommandOutput
    ) => void
  ): void;
  getAccessPointPolicyStatusForObjectLambda(
    args: GetAccessPointPolicyStatusForObjectLambdaCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: GetAccessPointPolicyStatusForObjectLambdaCommandOutput
    ) => void
  ): void;
  getBucket(
    args: GetBucketCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<GetBucketCommandOutput>;
  getBucket(
    args: GetBucketCommandInput,
    cb: (err: any, data?: GetBucketCommandOutput) => void
  ): void;
  getBucket(
    args: GetBucketCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: GetBucketCommandOutput) => void
  ): void;
  getBucketLifecycleConfiguration(
    args: GetBucketLifecycleConfigurationCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<GetBucketLifecycleConfigurationCommandOutput>;
  getBucketLifecycleConfiguration(
    args: GetBucketLifecycleConfigurationCommandInput,
    cb: (err: any, data?: GetBucketLifecycleConfigurationCommandOutput) => void
  ): void;
  getBucketLifecycleConfiguration(
    args: GetBucketLifecycleConfigurationCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: GetBucketLifecycleConfigurationCommandOutput) => void
  ): void;
  getBucketPolicy(
    args: GetBucketPolicyCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<GetBucketPolicyCommandOutput>;
  getBucketPolicy(
    args: GetBucketPolicyCommandInput,
    cb: (err: any, data?: GetBucketPolicyCommandOutput) => void
  ): void;
  getBucketPolicy(
    args: GetBucketPolicyCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: GetBucketPolicyCommandOutput) => void
  ): void;
  getBucketReplication(
    args: GetBucketReplicationCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<GetBucketReplicationCommandOutput>;
  getBucketReplication(
    args: GetBucketReplicationCommandInput,
    cb: (err: any, data?: GetBucketReplicationCommandOutput) => void
  ): void;
  getBucketReplication(
    args: GetBucketReplicationCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: GetBucketReplicationCommandOutput) => void
  ): void;
  getBucketTagging(
    args: GetBucketTaggingCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<GetBucketTaggingCommandOutput>;
  getBucketTagging(
    args: GetBucketTaggingCommandInput,
    cb: (err: any, data?: GetBucketTaggingCommandOutput) => void
  ): void;
  getBucketTagging(
    args: GetBucketTaggingCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: GetBucketTaggingCommandOutput) => void
  ): void;
  getBucketVersioning(
    args: GetBucketVersioningCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<GetBucketVersioningCommandOutput>;
  getBucketVersioning(
    args: GetBucketVersioningCommandInput,
    cb: (err: any, data?: GetBucketVersioningCommandOutput) => void
  ): void;
  getBucketVersioning(
    args: GetBucketVersioningCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: GetBucketVersioningCommandOutput) => void
  ): void;
  getDataAccess(
    args: GetDataAccessCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<GetDataAccessCommandOutput>;
  getDataAccess(
    args: GetDataAccessCommandInput,
    cb: (err: any, data?: GetDataAccessCommandOutput) => void
  ): void;
  getDataAccess(
    args: GetDataAccessCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: GetDataAccessCommandOutput) => void
  ): void;
  getJobTagging(
    args: GetJobTaggingCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<GetJobTaggingCommandOutput>;
  getJobTagging(
    args: GetJobTaggingCommandInput,
    cb: (err: any, data?: GetJobTaggingCommandOutput) => void
  ): void;
  getJobTagging(
    args: GetJobTaggingCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: GetJobTaggingCommandOutput) => void
  ): void;
  getMultiRegionAccessPoint(
    args: GetMultiRegionAccessPointCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<GetMultiRegionAccessPointCommandOutput>;
  getMultiRegionAccessPoint(
    args: GetMultiRegionAccessPointCommandInput,
    cb: (err: any, data?: GetMultiRegionAccessPointCommandOutput) => void
  ): void;
  getMultiRegionAccessPoint(
    args: GetMultiRegionAccessPointCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: GetMultiRegionAccessPointCommandOutput) => void
  ): void;
  getMultiRegionAccessPointPolicy(
    args: GetMultiRegionAccessPointPolicyCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<GetMultiRegionAccessPointPolicyCommandOutput>;
  getMultiRegionAccessPointPolicy(
    args: GetMultiRegionAccessPointPolicyCommandInput,
    cb: (err: any, data?: GetMultiRegionAccessPointPolicyCommandOutput) => void
  ): void;
  getMultiRegionAccessPointPolicy(
    args: GetMultiRegionAccessPointPolicyCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: GetMultiRegionAccessPointPolicyCommandOutput) => void
  ): void;
  getMultiRegionAccessPointPolicyStatus(
    args: GetMultiRegionAccessPointPolicyStatusCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<GetMultiRegionAccessPointPolicyStatusCommandOutput>;
  getMultiRegionAccessPointPolicyStatus(
    args: GetMultiRegionAccessPointPolicyStatusCommandInput,
    cb: (
      err: any,
      data?: GetMultiRegionAccessPointPolicyStatusCommandOutput
    ) => void
  ): void;
  getMultiRegionAccessPointPolicyStatus(
    args: GetMultiRegionAccessPointPolicyStatusCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: GetMultiRegionAccessPointPolicyStatusCommandOutput
    ) => void
  ): void;
  getMultiRegionAccessPointRoutes(
    args: GetMultiRegionAccessPointRoutesCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<GetMultiRegionAccessPointRoutesCommandOutput>;
  getMultiRegionAccessPointRoutes(
    args: GetMultiRegionAccessPointRoutesCommandInput,
    cb: (err: any, data?: GetMultiRegionAccessPointRoutesCommandOutput) => void
  ): void;
  getMultiRegionAccessPointRoutes(
    args: GetMultiRegionAccessPointRoutesCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: GetMultiRegionAccessPointRoutesCommandOutput) => void
  ): void;
  getPublicAccessBlock(): Promise<GetPublicAccessBlockCommandOutput>;
  getPublicAccessBlock(
    args: GetPublicAccessBlockCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<GetPublicAccessBlockCommandOutput>;
  getPublicAccessBlock(
    args: GetPublicAccessBlockCommandInput,
    cb: (err: any, data?: GetPublicAccessBlockCommandOutput) => void
  ): void;
  getPublicAccessBlock(
    args: GetPublicAccessBlockCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: GetPublicAccessBlockCommandOutput) => void
  ): void;
  getStorageLensConfiguration(
    args: GetStorageLensConfigurationCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<GetStorageLensConfigurationCommandOutput>;
  getStorageLensConfiguration(
    args: GetStorageLensConfigurationCommandInput,
    cb: (err: any, data?: GetStorageLensConfigurationCommandOutput) => void
  ): void;
  getStorageLensConfiguration(
    args: GetStorageLensConfigurationCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: GetStorageLensConfigurationCommandOutput) => void
  ): void;
  getStorageLensConfigurationTagging(
    args: GetStorageLensConfigurationTaggingCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<GetStorageLensConfigurationTaggingCommandOutput>;
  getStorageLensConfigurationTagging(
    args: GetStorageLensConfigurationTaggingCommandInput,
    cb: (
      err: any,
      data?: GetStorageLensConfigurationTaggingCommandOutput
    ) => void
  ): void;
  getStorageLensConfigurationTagging(
    args: GetStorageLensConfigurationTaggingCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: GetStorageLensConfigurationTaggingCommandOutput
    ) => void
  ): void;
  getStorageLensGroup(
    args: GetStorageLensGroupCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<GetStorageLensGroupCommandOutput>;
  getStorageLensGroup(
    args: GetStorageLensGroupCommandInput,
    cb: (err: any, data?: GetStorageLensGroupCommandOutput) => void
  ): void;
  getStorageLensGroup(
    args: GetStorageLensGroupCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: GetStorageLensGroupCommandOutput) => void
  ): void;
  listAccessGrants(): Promise<ListAccessGrantsCommandOutput>;
  listAccessGrants(
    args: ListAccessGrantsCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListAccessGrantsCommandOutput>;
  listAccessGrants(
    args: ListAccessGrantsCommandInput,
    cb: (err: any, data?: ListAccessGrantsCommandOutput) => void
  ): void;
  listAccessGrants(
    args: ListAccessGrantsCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListAccessGrantsCommandOutput) => void
  ): void;
  listAccessGrantsInstances(): Promise<ListAccessGrantsInstancesCommandOutput>;
  listAccessGrantsInstances(
    args: ListAccessGrantsInstancesCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListAccessGrantsInstancesCommandOutput>;
  listAccessGrantsInstances(
    args: ListAccessGrantsInstancesCommandInput,
    cb: (err: any, data?: ListAccessGrantsInstancesCommandOutput) => void
  ): void;
  listAccessGrantsInstances(
    args: ListAccessGrantsInstancesCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListAccessGrantsInstancesCommandOutput) => void
  ): void;
  listAccessGrantsLocations(): Promise<ListAccessGrantsLocationsCommandOutput>;
  listAccessGrantsLocations(
    args: ListAccessGrantsLocationsCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListAccessGrantsLocationsCommandOutput>;
  listAccessGrantsLocations(
    args: ListAccessGrantsLocationsCommandInput,
    cb: (err: any, data?: ListAccessGrantsLocationsCommandOutput) => void
  ): void;
  listAccessGrantsLocations(
    args: ListAccessGrantsLocationsCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListAccessGrantsLocationsCommandOutput) => void
  ): void;
  listAccessPoints(): Promise<ListAccessPointsCommandOutput>;
  listAccessPoints(
    args: ListAccessPointsCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListAccessPointsCommandOutput>;
  listAccessPoints(
    args: ListAccessPointsCommandInput,
    cb: (err: any, data?: ListAccessPointsCommandOutput) => void
  ): void;
  listAccessPoints(
    args: ListAccessPointsCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListAccessPointsCommandOutput) => void
  ): void;
  listAccessPointsForObjectLambda(): Promise<ListAccessPointsForObjectLambdaCommandOutput>;
  listAccessPointsForObjectLambda(
    args: ListAccessPointsForObjectLambdaCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListAccessPointsForObjectLambdaCommandOutput>;
  listAccessPointsForObjectLambda(
    args: ListAccessPointsForObjectLambdaCommandInput,
    cb: (err: any, data?: ListAccessPointsForObjectLambdaCommandOutput) => void
  ): void;
  listAccessPointsForObjectLambda(
    args: ListAccessPointsForObjectLambdaCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListAccessPointsForObjectLambdaCommandOutput) => void
  ): void;
  listCallerAccessGrants(): Promise<ListCallerAccessGrantsCommandOutput>;
  listCallerAccessGrants(
    args: ListCallerAccessGrantsCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListCallerAccessGrantsCommandOutput>;
  listCallerAccessGrants(
    args: ListCallerAccessGrantsCommandInput,
    cb: (err: any, data?: ListCallerAccessGrantsCommandOutput) => void
  ): void;
  listCallerAccessGrants(
    args: ListCallerAccessGrantsCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListCallerAccessGrantsCommandOutput) => void
  ): void;
  listJobs(): Promise<ListJobsCommandOutput>;
  listJobs(
    args: ListJobsCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListJobsCommandOutput>;
  listJobs(
    args: ListJobsCommandInput,
    cb: (err: any, data?: ListJobsCommandOutput) => void
  ): void;
  listJobs(
    args: ListJobsCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListJobsCommandOutput) => void
  ): void;
  listMultiRegionAccessPoints(): Promise<ListMultiRegionAccessPointsCommandOutput>;
  listMultiRegionAccessPoints(
    args: ListMultiRegionAccessPointsCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListMultiRegionAccessPointsCommandOutput>;
  listMultiRegionAccessPoints(
    args: ListMultiRegionAccessPointsCommandInput,
    cb: (err: any, data?: ListMultiRegionAccessPointsCommandOutput) => void
  ): void;
  listMultiRegionAccessPoints(
    args: ListMultiRegionAccessPointsCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListMultiRegionAccessPointsCommandOutput) => void
  ): void;
  listRegionalBuckets(): Promise<ListRegionalBucketsCommandOutput>;
  listRegionalBuckets(
    args: ListRegionalBucketsCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListRegionalBucketsCommandOutput>;
  listRegionalBuckets(
    args: ListRegionalBucketsCommandInput,
    cb: (err: any, data?: ListRegionalBucketsCommandOutput) => void
  ): void;
  listRegionalBuckets(
    args: ListRegionalBucketsCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListRegionalBucketsCommandOutput) => void
  ): void;
  listStorageLensConfigurations(): Promise<ListStorageLensConfigurationsCommandOutput>;
  listStorageLensConfigurations(
    args: ListStorageLensConfigurationsCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListStorageLensConfigurationsCommandOutput>;
  listStorageLensConfigurations(
    args: ListStorageLensConfigurationsCommandInput,
    cb: (err: any, data?: ListStorageLensConfigurationsCommandOutput) => void
  ): void;
  listStorageLensConfigurations(
    args: ListStorageLensConfigurationsCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListStorageLensConfigurationsCommandOutput) => void
  ): void;
  listStorageLensGroups(): Promise<ListStorageLensGroupsCommandOutput>;
  listStorageLensGroups(
    args: ListStorageLensGroupsCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListStorageLensGroupsCommandOutput>;
  listStorageLensGroups(
    args: ListStorageLensGroupsCommandInput,
    cb: (err: any, data?: ListStorageLensGroupsCommandOutput) => void
  ): void;
  listStorageLensGroups(
    args: ListStorageLensGroupsCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListStorageLensGroupsCommandOutput) => void
  ): void;
  listTagsForResource(
    args: ListTagsForResourceCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<ListTagsForResourceCommandOutput>;
  listTagsForResource(
    args: ListTagsForResourceCommandInput,
    cb: (err: any, data?: ListTagsForResourceCommandOutput) => void
  ): void;
  listTagsForResource(
    args: ListTagsForResourceCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: ListTagsForResourceCommandOutput) => void
  ): void;
  putAccessGrantsInstanceResourcePolicy(
    args: PutAccessGrantsInstanceResourcePolicyCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<PutAccessGrantsInstanceResourcePolicyCommandOutput>;
  putAccessGrantsInstanceResourcePolicy(
    args: PutAccessGrantsInstanceResourcePolicyCommandInput,
    cb: (
      err: any,
      data?: PutAccessGrantsInstanceResourcePolicyCommandOutput
    ) => void
  ): void;
  putAccessGrantsInstanceResourcePolicy(
    args: PutAccessGrantsInstanceResourcePolicyCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: PutAccessGrantsInstanceResourcePolicyCommandOutput
    ) => void
  ): void;
  putAccessPointConfigurationForObjectLambda(
    args: PutAccessPointConfigurationForObjectLambdaCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<PutAccessPointConfigurationForObjectLambdaCommandOutput>;
  putAccessPointConfigurationForObjectLambda(
    args: PutAccessPointConfigurationForObjectLambdaCommandInput,
    cb: (
      err: any,
      data?: PutAccessPointConfigurationForObjectLambdaCommandOutput
    ) => void
  ): void;
  putAccessPointConfigurationForObjectLambda(
    args: PutAccessPointConfigurationForObjectLambdaCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: PutAccessPointConfigurationForObjectLambdaCommandOutput
    ) => void
  ): void;
  putAccessPointPolicy(
    args: PutAccessPointPolicyCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<PutAccessPointPolicyCommandOutput>;
  putAccessPointPolicy(
    args: PutAccessPointPolicyCommandInput,
    cb: (err: any, data?: PutAccessPointPolicyCommandOutput) => void
  ): void;
  putAccessPointPolicy(
    args: PutAccessPointPolicyCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: PutAccessPointPolicyCommandOutput) => void
  ): void;
  putAccessPointPolicyForObjectLambda(
    args: PutAccessPointPolicyForObjectLambdaCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<PutAccessPointPolicyForObjectLambdaCommandOutput>;
  putAccessPointPolicyForObjectLambda(
    args: PutAccessPointPolicyForObjectLambdaCommandInput,
    cb: (
      err: any,
      data?: PutAccessPointPolicyForObjectLambdaCommandOutput
    ) => void
  ): void;
  putAccessPointPolicyForObjectLambda(
    args: PutAccessPointPolicyForObjectLambdaCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: PutAccessPointPolicyForObjectLambdaCommandOutput
    ) => void
  ): void;
  putBucketLifecycleConfiguration(
    args: PutBucketLifecycleConfigurationCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<PutBucketLifecycleConfigurationCommandOutput>;
  putBucketLifecycleConfiguration(
    args: PutBucketLifecycleConfigurationCommandInput,
    cb: (err: any, data?: PutBucketLifecycleConfigurationCommandOutput) => void
  ): void;
  putBucketLifecycleConfiguration(
    args: PutBucketLifecycleConfigurationCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: PutBucketLifecycleConfigurationCommandOutput) => void
  ): void;
  putBucketPolicy(
    args: PutBucketPolicyCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<PutBucketPolicyCommandOutput>;
  putBucketPolicy(
    args: PutBucketPolicyCommandInput,
    cb: (err: any, data?: PutBucketPolicyCommandOutput) => void
  ): void;
  putBucketPolicy(
    args: PutBucketPolicyCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: PutBucketPolicyCommandOutput) => void
  ): void;
  putBucketReplication(
    args: PutBucketReplicationCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<PutBucketReplicationCommandOutput>;
  putBucketReplication(
    args: PutBucketReplicationCommandInput,
    cb: (err: any, data?: PutBucketReplicationCommandOutput) => void
  ): void;
  putBucketReplication(
    args: PutBucketReplicationCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: PutBucketReplicationCommandOutput) => void
  ): void;
  putBucketTagging(
    args: PutBucketTaggingCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<PutBucketTaggingCommandOutput>;
  putBucketTagging(
    args: PutBucketTaggingCommandInput,
    cb: (err: any, data?: PutBucketTaggingCommandOutput) => void
  ): void;
  putBucketTagging(
    args: PutBucketTaggingCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: PutBucketTaggingCommandOutput) => void
  ): void;
  putBucketVersioning(
    args: PutBucketVersioningCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<PutBucketVersioningCommandOutput>;
  putBucketVersioning(
    args: PutBucketVersioningCommandInput,
    cb: (err: any, data?: PutBucketVersioningCommandOutput) => void
  ): void;
  putBucketVersioning(
    args: PutBucketVersioningCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: PutBucketVersioningCommandOutput) => void
  ): void;
  putJobTagging(
    args: PutJobTaggingCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<PutJobTaggingCommandOutput>;
  putJobTagging(
    args: PutJobTaggingCommandInput,
    cb: (err: any, data?: PutJobTaggingCommandOutput) => void
  ): void;
  putJobTagging(
    args: PutJobTaggingCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: PutJobTaggingCommandOutput) => void
  ): void;
  putMultiRegionAccessPointPolicy(
    args: PutMultiRegionAccessPointPolicyCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<PutMultiRegionAccessPointPolicyCommandOutput>;
  putMultiRegionAccessPointPolicy(
    args: PutMultiRegionAccessPointPolicyCommandInput,
    cb: (err: any, data?: PutMultiRegionAccessPointPolicyCommandOutput) => void
  ): void;
  putMultiRegionAccessPointPolicy(
    args: PutMultiRegionAccessPointPolicyCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: PutMultiRegionAccessPointPolicyCommandOutput) => void
  ): void;
  putPublicAccessBlock(
    args: PutPublicAccessBlockCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<PutPublicAccessBlockCommandOutput>;
  putPublicAccessBlock(
    args: PutPublicAccessBlockCommandInput,
    cb: (err: any, data?: PutPublicAccessBlockCommandOutput) => void
  ): void;
  putPublicAccessBlock(
    args: PutPublicAccessBlockCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: PutPublicAccessBlockCommandOutput) => void
  ): void;
  putStorageLensConfiguration(
    args: PutStorageLensConfigurationCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<PutStorageLensConfigurationCommandOutput>;
  putStorageLensConfiguration(
    args: PutStorageLensConfigurationCommandInput,
    cb: (err: any, data?: PutStorageLensConfigurationCommandOutput) => void
  ): void;
  putStorageLensConfiguration(
    args: PutStorageLensConfigurationCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: PutStorageLensConfigurationCommandOutput) => void
  ): void;
  putStorageLensConfigurationTagging(
    args: PutStorageLensConfigurationTaggingCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<PutStorageLensConfigurationTaggingCommandOutput>;
  putStorageLensConfigurationTagging(
    args: PutStorageLensConfigurationTaggingCommandInput,
    cb: (
      err: any,
      data?: PutStorageLensConfigurationTaggingCommandOutput
    ) => void
  ): void;
  putStorageLensConfigurationTagging(
    args: PutStorageLensConfigurationTaggingCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: PutStorageLensConfigurationTaggingCommandOutput
    ) => void
  ): void;
  submitMultiRegionAccessPointRoutes(
    args: SubmitMultiRegionAccessPointRoutesCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<SubmitMultiRegionAccessPointRoutesCommandOutput>;
  submitMultiRegionAccessPointRoutes(
    args: SubmitMultiRegionAccessPointRoutesCommandInput,
    cb: (
      err: any,
      data?: SubmitMultiRegionAccessPointRoutesCommandOutput
    ) => void
  ): void;
  submitMultiRegionAccessPointRoutes(
    args: SubmitMultiRegionAccessPointRoutesCommandInput,
    options: __HttpHandlerOptions,
    cb: (
      err: any,
      data?: SubmitMultiRegionAccessPointRoutesCommandOutput
    ) => void
  ): void;
  tagResource(
    args: TagResourceCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<TagResourceCommandOutput>;
  tagResource(
    args: TagResourceCommandInput,
    cb: (err: any, data?: TagResourceCommandOutput) => void
  ): void;
  tagResource(
    args: TagResourceCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: TagResourceCommandOutput) => void
  ): void;
  untagResource(
    args: UntagResourceCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<UntagResourceCommandOutput>;
  untagResource(
    args: UntagResourceCommandInput,
    cb: (err: any, data?: UntagResourceCommandOutput) => void
  ): void;
  untagResource(
    args: UntagResourceCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: UntagResourceCommandOutput) => void
  ): void;
  updateAccessGrantsLocation(
    args: UpdateAccessGrantsLocationCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<UpdateAccessGrantsLocationCommandOutput>;
  updateAccessGrantsLocation(
    args: UpdateAccessGrantsLocationCommandInput,
    cb: (err: any, data?: UpdateAccessGrantsLocationCommandOutput) => void
  ): void;
  updateAccessGrantsLocation(
    args: UpdateAccessGrantsLocationCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: UpdateAccessGrantsLocationCommandOutput) => void
  ): void;
  updateJobPriority(
    args: UpdateJobPriorityCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<UpdateJobPriorityCommandOutput>;
  updateJobPriority(
    args: UpdateJobPriorityCommandInput,
    cb: (err: any, data?: UpdateJobPriorityCommandOutput) => void
  ): void;
  updateJobPriority(
    args: UpdateJobPriorityCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: UpdateJobPriorityCommandOutput) => void
  ): void;
  updateJobStatus(
    args: UpdateJobStatusCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<UpdateJobStatusCommandOutput>;
  updateJobStatus(
    args: UpdateJobStatusCommandInput,
    cb: (err: any, data?: UpdateJobStatusCommandOutput) => void
  ): void;
  updateJobStatus(
    args: UpdateJobStatusCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: UpdateJobStatusCommandOutput) => void
  ): void;
  updateStorageLensGroup(
    args: UpdateStorageLensGroupCommandInput,
    options?: __HttpHandlerOptions
  ): Promise<UpdateStorageLensGroupCommandOutput>;
  updateStorageLensGroup(
    args: UpdateStorageLensGroupCommandInput,
    cb: (err: any, data?: UpdateStorageLensGroupCommandOutput) => void
  ): void;
  updateStorageLensGroup(
    args: UpdateStorageLensGroupCommandInput,
    options: __HttpHandlerOptions,
    cb: (err: any, data?: UpdateStorageLensGroupCommandOutput) => void
  ): void;
}
export declare class S3Control extends S3ControlClient implements S3Control {}
