import {
  HostHeaderInputConfig,
  HostHeaderResolvedConfig,
} from "@aws-sdk/middleware-host-header";
import {
  S3ControlInputConfig,
  S3ControlResolvedConfig,
} from "@aws-sdk/middleware-sdk-s3-control";
import {
  UserAgentInputConfig,
  UserAgentResolvedConfig,
} from "@aws-sdk/middleware-user-agent";
import {
  RegionInputConfig,
  RegionResolvedConfig,
} from "@smithy/config-resolver";
import {
  EndpointInputConfig,
  EndpointResolvedConfig,
} from "@smithy/middleware-endpoint";
import {
  RetryInputConfig,
  RetryResolvedConfig,
} from "@smithy/middleware-retry";
import { HttpHandlerUserInput as __HttpHandlerUserInput } from "@smithy/protocol-http";
import {
  Client as __Client,
  DefaultsMode as __DefaultsMode,
  SmithyConfiguration as __SmithyConfiguration,
  SmithyResolvedConfiguration as __SmithyResolvedConfiguration,
} from "@smithy/smithy-client";
import {
  AwsCredentialIdentityProvider,
  BodyLengthCalculator as __BodyLengthCalculator,
  CheckOptionalClientConfig as __CheckOptionalClientConfig,
  ChecksumConstructor as __ChecksumConstructor,
  Decoder as __Decoder,
  Encoder as __Encoder,
  HashConstructor as __HashConstructor,
  HttpHandlerOptions as __HttpHandlerOptions,
  Logger as __Logger,
  Provider as __Provider,
  Provider,
  StreamCollector as __StreamCollector,
  StreamHasher as __StreamHasher,
  UrlParser as __UrlParser,
  UserAgent as __UserAgent,
} from "@smithy/types";
import { Readable } from "stream";
import {
  HttpAuthSchemeInputConfig,
  HttpAuthSchemeResolvedConfig,
} from "./auth/httpAuthSchemeProvider";
import {
  AssociateAccessGrantsIdentityCenterCommandInput,
  AssociateAccessGrantsIdentityCenterCommandOutput,
} from "./commands/AssociateAccessGrantsIdentityCenterCommand";
import {
  CreateAccessGrantCommandInput,
  CreateAccessGrantCommandOutput,
} from "./commands/CreateAccessGrantCommand";
import {
  CreateAccessGrantsInstanceCommandInput,
  CreateAccessGrantsInstanceCommandOutput,
} from "./commands/CreateAccessGrantsInstanceCommand";
import {
  CreateAccessGrantsLocationCommandInput,
  CreateAccessGrantsLocationCommandOutput,
} from "./commands/CreateAccessGrantsLocationCommand";
import {
  CreateAccessPointCommandInput,
  CreateAccessPointCommandOutput,
} from "./commands/CreateAccessPointCommand";
import {
  CreateAccessPointForObjectLambdaCommandInput,
  CreateAccessPointForObjectLambdaCommandOutput,
} from "./commands/CreateAccessPointForObjectLambdaCommand";
import {
  CreateBucketCommandInput,
  CreateBucketCommandOutput,
} from "./commands/CreateBucketCommand";
import {
  CreateJobCommandInput,
  CreateJobCommandOutput,
} from "./commands/CreateJobCommand";
import {
  CreateMultiRegionAccessPointCommandInput,
  CreateMultiRegionAccessPointCommandOutput,
} from "./commands/CreateMultiRegionAccessPointCommand";
import {
  CreateStorageLensGroupCommandInput,
  CreateStorageLensGroupCommandOutput,
} from "./commands/CreateStorageLensGroupCommand";
import {
  DeleteAccessGrantCommandInput,
  DeleteAccessGrantCommandOutput,
} from "./commands/DeleteAccessGrantCommand";
import {
  DeleteAccessGrantsInstanceCommandInput,
  DeleteAccessGrantsInstanceCommandOutput,
} from "./commands/DeleteAccessGrantsInstanceCommand";
import {
  DeleteAccessGrantsInstanceResourcePolicyCommandInput,
  DeleteAccessGrantsInstanceResourcePolicyCommandOutput,
} from "./commands/DeleteAccessGrantsInstanceResourcePolicyCommand";
import {
  DeleteAccessGrantsLocationCommandInput,
  DeleteAccessGrantsLocationCommandOutput,
} from "./commands/DeleteAccessGrantsLocationCommand";
import {
  DeleteAccessPointCommandInput,
  DeleteAccessPointCommandOutput,
} from "./commands/DeleteAccessPointCommand";
import {
  DeleteAccessPointForObjectLambdaCommandInput,
  DeleteAccessPointForObjectLambdaCommandOutput,
} from "./commands/DeleteAccessPointForObjectLambdaCommand";
import {
  DeleteAccessPointPolicyCommandInput,
  DeleteAccessPointPolicyCommandOutput,
} from "./commands/DeleteAccessPointPolicyCommand";
import {
  DeleteAccessPointPolicyForObjectLambdaCommandInput,
  DeleteAccessPointPolicyForObjectLambdaCommandOutput,
} from "./commands/DeleteAccessPointPolicyForObjectLambdaCommand";
import {
  DeleteBucketCommandInput,
  DeleteBucketCommandOutput,
} from "./commands/DeleteBucketCommand";
import {
  DeleteBucketLifecycleConfigurationCommandInput,
  DeleteBucketLifecycleConfigurationCommandOutput,
} from "./commands/DeleteBucketLifecycleConfigurationCommand";
import {
  DeleteBucketPolicyCommandInput,
  DeleteBucketPolicyCommandOutput,
} from "./commands/DeleteBucketPolicyCommand";
import {
  DeleteBucketReplicationCommandInput,
  DeleteBucketReplicationCommandOutput,
} from "./commands/DeleteBucketReplicationCommand";
import {
  DeleteBucketTaggingCommandInput,
  DeleteBucketTaggingCommandOutput,
} from "./commands/DeleteBucketTaggingCommand";
import {
  DeleteJobTaggingCommandInput,
  DeleteJobTaggingCommandOutput,
} from "./commands/DeleteJobTaggingCommand";
import {
  DeleteMultiRegionAccessPointCommandInput,
  DeleteMultiRegionAccessPointCommandOutput,
} from "./commands/DeleteMultiRegionAccessPointCommand";
import {
  DeletePublicAccessBlockCommandInput,
  DeletePublicAccessBlockCommandOutput,
} from "./commands/DeletePublicAccessBlockCommand";
import {
  DeleteStorageLensConfigurationCommandInput,
  DeleteStorageLensConfigurationCommandOutput,
} from "./commands/DeleteStorageLensConfigurationCommand";
import {
  DeleteStorageLensConfigurationTaggingCommandInput,
  DeleteStorageLensConfigurationTaggingCommandOutput,
} from "./commands/DeleteStorageLensConfigurationTaggingCommand";
import {
  DeleteStorageLensGroupCommandInput,
  DeleteStorageLensGroupCommandOutput,
} from "./commands/DeleteStorageLensGroupCommand";
import {
  DescribeJobCommandInput,
  DescribeJobCommandOutput,
} from "./commands/DescribeJobCommand";
import {
  DescribeMultiRegionAccessPointOperationCommandInput,
  DescribeMultiRegionAccessPointOperationCommandOutput,
} from "./commands/DescribeMultiRegionAccessPointOperationCommand";
import {
  DissociateAccessGrantsIdentityCenterCommandInput,
  DissociateAccessGrantsIdentityCenterCommandOutput,
} from "./commands/DissociateAccessGrantsIdentityCenterCommand";
import {
  GetAccessGrantCommandInput,
  GetAccessGrantCommandOutput,
} from "./commands/GetAccessGrantCommand";
import {
  GetAccessGrantsInstanceCommandInput,
  GetAccessGrantsInstanceCommandOutput,
} from "./commands/GetAccessGrantsInstanceCommand";
import {
  GetAccessGrantsInstanceForPrefixCommandInput,
  GetAccessGrantsInstanceForPrefixCommandOutput,
} from "./commands/GetAccessGrantsInstanceForPrefixCommand";
import {
  GetAccessGrantsInstanceResourcePolicyCommandInput,
  GetAccessGrantsInstanceResourcePolicyCommandOutput,
} from "./commands/GetAccessGrantsInstanceResourcePolicyCommand";
import {
  GetAccessGrantsLocationCommandInput,
  GetAccessGrantsLocationCommandOutput,
} from "./commands/GetAccessGrantsLocationCommand";
import {
  GetAccessPointCommandInput,
  GetAccessPointCommandOutput,
} from "./commands/GetAccessPointCommand";
import {
  GetAccessPointConfigurationForObjectLambdaCommandInput,
  GetAccessPointConfigurationForObjectLambdaCommandOutput,
} from "./commands/GetAccessPointConfigurationForObjectLambdaCommand";
import {
  GetAccessPointForObjectLambdaCommandInput,
  GetAccessPointForObjectLambdaCommandOutput,
} from "./commands/GetAccessPointForObjectLambdaCommand";
import {
  GetAccessPointPolicyCommandInput,
  GetAccessPointPolicyCommandOutput,
} from "./commands/GetAccessPointPolicyCommand";
import {
  GetAccessPointPolicyForObjectLambdaCommandInput,
  GetAccessPointPolicyForObjectLambdaCommandOutput,
} from "./commands/GetAccessPointPolicyForObjectLambdaCommand";
import {
  GetAccessPointPolicyStatusCommandInput,
  GetAccessPointPolicyStatusCommandOutput,
} from "./commands/GetAccessPointPolicyStatusCommand";
import {
  GetAccessPointPolicyStatusForObjectLambdaCommandInput,
  GetAccessPointPolicyStatusForObjectLambdaCommandOutput,
} from "./commands/GetAccessPointPolicyStatusForObjectLambdaCommand";
import {
  GetBucketCommandInput,
  GetBucketCommandOutput,
} from "./commands/GetBucketCommand";
import {
  GetBucketLifecycleConfigurationCommandInput,
  GetBucketLifecycleConfigurationCommandOutput,
} from "./commands/GetBucketLifecycleConfigurationCommand";
import {
  GetBucketPolicyCommandInput,
  GetBucketPolicyCommandOutput,
} from "./commands/GetBucketPolicyCommand";
import {
  GetBucketReplicationCommandInput,
  GetBucketReplicationCommandOutput,
} from "./commands/GetBucketReplicationCommand";
import {
  GetBucketTaggingCommandInput,
  GetBucketTaggingCommandOutput,
} from "./commands/GetBucketTaggingCommand";
import {
  GetBucketVersioningCommandInput,
  GetBucketVersioningCommandOutput,
} from "./commands/GetBucketVersioningCommand";
import {
  GetDataAccessCommandInput,
  GetDataAccessCommandOutput,
} from "./commands/GetDataAccessCommand";
import {
  GetJobTaggingCommandInput,
  GetJobTaggingCommandOutput,
} from "./commands/GetJobTaggingCommand";
import {
  GetMultiRegionAccessPointCommandInput,
  GetMultiRegionAccessPointCommandOutput,
} from "./commands/GetMultiRegionAccessPointCommand";
import {
  GetMultiRegionAccessPointPolicyCommandInput,
  GetMultiRegionAccessPointPolicyCommandOutput,
} from "./commands/GetMultiRegionAccessPointPolicyCommand";
import {
  GetMultiRegionAccessPointPolicyStatusCommandInput,
  GetMultiRegionAccessPointPolicyStatusCommandOutput,
} from "./commands/GetMultiRegionAccessPointPolicyStatusCommand";
import {
  GetMultiRegionAccessPointRoutesCommandInput,
  GetMultiRegionAccessPointRoutesCommandOutput,
} from "./commands/GetMultiRegionAccessPointRoutesCommand";
import {
  GetPublicAccessBlockCommandInput,
  GetPublicAccessBlockCommandOutput,
} from "./commands/GetPublicAccessBlockCommand";
import {
  GetStorageLensConfigurationCommandInput,
  GetStorageLensConfigurationCommandOutput,
} from "./commands/GetStorageLensConfigurationCommand";
import {
  GetStorageLensConfigurationTaggingCommandInput,
  GetStorageLensConfigurationTaggingCommandOutput,
} from "./commands/GetStorageLensConfigurationTaggingCommand";
import {
  GetStorageLensGroupCommandInput,
  GetStorageLensGroupCommandOutput,
} from "./commands/GetStorageLensGroupCommand";
import {
  ListAccessGrantsCommandInput,
  ListAccessGrantsCommandOutput,
} from "./commands/ListAccessGrantsCommand";
import {
  ListAccessGrantsInstancesCommandInput,
  ListAccessGrantsInstancesCommandOutput,
} from "./commands/ListAccessGrantsInstancesCommand";
import {
  ListAccessGrantsLocationsCommandInput,
  ListAccessGrantsLocationsCommandOutput,
} from "./commands/ListAccessGrantsLocationsCommand";
import {
  ListAccessPointsCommandInput,
  ListAccessPointsCommandOutput,
} from "./commands/ListAccessPointsCommand";
import {
  ListAccessPointsForObjectLambdaCommandInput,
  ListAccessPointsForObjectLambdaCommandOutput,
} from "./commands/ListAccessPointsForObjectLambdaCommand";
import {
  ListCallerAccessGrantsCommandInput,
  ListCallerAccessGrantsCommandOutput,
} from "./commands/ListCallerAccessGrantsCommand";
import {
  ListJobsCommandInput,
  ListJobsCommandOutput,
} from "./commands/ListJobsCommand";
import {
  ListMultiRegionAccessPointsCommandInput,
  ListMultiRegionAccessPointsCommandOutput,
} from "./commands/ListMultiRegionAccessPointsCommand";
import {
  ListRegionalBucketsCommandInput,
  ListRegionalBucketsCommandOutput,
} from "./commands/ListRegionalBucketsCommand";
import {
  ListStorageLensConfigurationsCommandInput,
  ListStorageLensConfigurationsCommandOutput,
} from "./commands/ListStorageLensConfigurationsCommand";
import {
  ListStorageLensGroupsCommandInput,
  ListStorageLensGroupsCommandOutput,
} from "./commands/ListStorageLensGroupsCommand";
import {
  ListTagsForResourceCommandInput,
  ListTagsForResourceCommandOutput,
} from "./commands/ListTagsForResourceCommand";
import {
  PutAccessGrantsInstanceResourcePolicyCommandInput,
  PutAccessGrantsInstanceResourcePolicyCommandOutput,
} from "./commands/PutAccessGrantsInstanceResourcePolicyCommand";
import {
  PutAccessPointConfigurationForObjectLambdaCommandInput,
  PutAccessPointConfigurationForObjectLambdaCommandOutput,
} from "./commands/PutAccessPointConfigurationForObjectLambdaCommand";
import {
  PutAccessPointPolicyCommandInput,
  PutAccessPointPolicyCommandOutput,
} from "./commands/PutAccessPointPolicyCommand";
import {
  PutAccessPointPolicyForObjectLambdaCommandInput,
  PutAccessPointPolicyForObjectLambdaCommandOutput,
} from "./commands/PutAccessPointPolicyForObjectLambdaCommand";
import {
  PutBucketLifecycleConfigurationCommandInput,
  PutBucketLifecycleConfigurationCommandOutput,
} from "./commands/PutBucketLifecycleConfigurationCommand";
import {
  PutBucketPolicyCommandInput,
  PutBucketPolicyCommandOutput,
} from "./commands/PutBucketPolicyCommand";
import {
  PutBucketReplicationCommandInput,
  PutBucketReplicationCommandOutput,
} from "./commands/PutBucketReplicationCommand";
import {
  PutBucketTaggingCommandInput,
  PutBucketTaggingCommandOutput,
} from "./commands/PutBucketTaggingCommand";
import {
  PutBucketVersioningCommandInput,
  PutBucketVersioningCommandOutput,
} from "./commands/PutBucketVersioningCommand";
import {
  PutJobTaggingCommandInput,
  PutJobTaggingCommandOutput,
} from "./commands/PutJobTaggingCommand";
import {
  PutMultiRegionAccessPointPolicyCommandInput,
  PutMultiRegionAccessPointPolicyCommandOutput,
} from "./commands/PutMultiRegionAccessPointPolicyCommand";
import {
  PutPublicAccessBlockCommandInput,
  PutPublicAccessBlockCommandOutput,
} from "./commands/PutPublicAccessBlockCommand";
import {
  PutStorageLensConfigurationCommandInput,
  PutStorageLensConfigurationCommandOutput,
} from "./commands/PutStorageLensConfigurationCommand";
import {
  PutStorageLensConfigurationTaggingCommandInput,
  PutStorageLensConfigurationTaggingCommandOutput,
} from "./commands/PutStorageLensConfigurationTaggingCommand";
import {
  SubmitMultiRegionAccessPointRoutesCommandInput,
  SubmitMultiRegionAccessPointRoutesCommandOutput,
} from "./commands/SubmitMultiRegionAccessPointRoutesCommand";
import {
  TagResourceCommandInput,
  TagResourceCommandOutput,
} from "./commands/TagResourceCommand";
import {
  UntagResourceCommandInput,
  UntagResourceCommandOutput,
} from "./commands/UntagResourceCommand";
import {
  UpdateAccessGrantsLocationCommandInput,
  UpdateAccessGrantsLocationCommandOutput,
} from "./commands/UpdateAccessGrantsLocationCommand";
import {
  UpdateJobPriorityCommandInput,
  UpdateJobPriorityCommandOutput,
} from "./commands/UpdateJobPriorityCommand";
import {
  UpdateJobStatusCommandInput,
  UpdateJobStatusCommandOutput,
} from "./commands/UpdateJobStatusCommand";
import {
  UpdateStorageLensGroupCommandInput,
  UpdateStorageLensGroupCommandOutput,
} from "./commands/UpdateStorageLensGroupCommand";
import {
  ClientInputEndpointParameters,
  ClientResolvedEndpointParameters,
  EndpointParameters,
} from "./endpoint/EndpointParameters";
import { RuntimeExtension, RuntimeExtensionsConfig } from "./runtimeExtensions";
export { __Client };
export type ServiceInputTypes =
  | AssociateAccessGrantsIdentityCenterCommandInput
  | CreateAccessGrantCommandInput
  | CreateAccessGrantsInstanceCommandInput
  | CreateAccessGrantsLocationCommandInput
  | CreateAccessPointCommandInput
  | CreateAccessPointForObjectLambdaCommandInput
  | CreateBucketCommandInput
  | CreateJobCommandInput
  | CreateMultiRegionAccessPointCommandInput
  | CreateStorageLensGroupCommandInput
  | DeleteAccessGrantCommandInput
  | DeleteAccessGrantsInstanceCommandInput
  | DeleteAccessGrantsInstanceResourcePolicyCommandInput
  | DeleteAccessGrantsLocationCommandInput
  | DeleteAccessPointCommandInput
  | DeleteAccessPointForObjectLambdaCommandInput
  | DeleteAccessPointPolicyCommandInput
  | DeleteAccessPointPolicyForObjectLambdaCommandInput
  | DeleteBucketCommandInput
  | DeleteBucketLifecycleConfigurationCommandInput
  | DeleteBucketPolicyCommandInput
  | DeleteBucketReplicationCommandInput
  | DeleteBucketTaggingCommandInput
  | DeleteJobTaggingCommandInput
  | DeleteMultiRegionAccessPointCommandInput
  | DeletePublicAccessBlockCommandInput
  | DeleteStorageLensConfigurationCommandInput
  | DeleteStorageLensConfigurationTaggingCommandInput
  | DeleteStorageLensGroupCommandInput
  | DescribeJobCommandInput
  | DescribeMultiRegionAccessPointOperationCommandInput
  | DissociateAccessGrantsIdentityCenterCommandInput
  | GetAccessGrantCommandInput
  | GetAccessGrantsInstanceCommandInput
  | GetAccessGrantsInstanceForPrefixCommandInput
  | GetAccessGrantsInstanceResourcePolicyCommandInput
  | GetAccessGrantsLocationCommandInput
  | GetAccessPointCommandInput
  | GetAccessPointConfigurationForObjectLambdaCommandInput
  | GetAccessPointForObjectLambdaCommandInput
  | GetAccessPointPolicyCommandInput
  | GetAccessPointPolicyForObjectLambdaCommandInput
  | GetAccessPointPolicyStatusCommandInput
  | GetAccessPointPolicyStatusForObjectLambdaCommandInput
  | GetBucketCommandInput
  | GetBucketLifecycleConfigurationCommandInput
  | GetBucketPolicyCommandInput
  | GetBucketReplicationCommandInput
  | GetBucketTaggingCommandInput
  | GetBucketVersioningCommandInput
  | GetDataAccessCommandInput
  | GetJobTaggingCommandInput
  | GetMultiRegionAccessPointCommandInput
  | GetMultiRegionAccessPointPolicyCommandInput
  | GetMultiRegionAccessPointPolicyStatusCommandInput
  | GetMultiRegionAccessPointRoutesCommandInput
  | GetPublicAccessBlockCommandInput
  | GetStorageLensConfigurationCommandInput
  | GetStorageLensConfigurationTaggingCommandInput
  | GetStorageLensGroupCommandInput
  | ListAccessGrantsCommandInput
  | ListAccessGrantsInstancesCommandInput
  | ListAccessGrantsLocationsCommandInput
  | ListAccessPointsCommandInput
  | ListAccessPointsForObjectLambdaCommandInput
  | ListCallerAccessGrantsCommandInput
  | ListJobsCommandInput
  | ListMultiRegionAccessPointsCommandInput
  | ListRegionalBucketsCommandInput
  | ListStorageLensConfigurationsCommandInput
  | ListStorageLensGroupsCommandInput
  | ListTagsForResourceCommandInput
  | PutAccessGrantsInstanceResourcePolicyCommandInput
  | PutAccessPointConfigurationForObjectLambdaCommandInput
  | PutAccessPointPolicyCommandInput
  | PutAccessPointPolicyForObjectLambdaCommandInput
  | PutBucketLifecycleConfigurationCommandInput
  | PutBucketPolicyCommandInput
  | PutBucketReplicationCommandInput
  | PutBucketTaggingCommandInput
  | PutBucketVersioningCommandInput
  | PutJobTaggingCommandInput
  | PutMultiRegionAccessPointPolicyCommandInput
  | PutPublicAccessBlockCommandInput
  | PutStorageLensConfigurationCommandInput
  | PutStorageLensConfigurationTaggingCommandInput
  | SubmitMultiRegionAccessPointRoutesCommandInput
  | TagResourceCommandInput
  | UntagResourceCommandInput
  | UpdateAccessGrantsLocationCommandInput
  | UpdateJobPriorityCommandInput
  | UpdateJobStatusCommandInput
  | UpdateStorageLensGroupCommandInput;
export type ServiceOutputTypes =
  | AssociateAccessGrantsIdentityCenterCommandOutput
  | CreateAccessGrantCommandOutput
  | CreateAccessGrantsInstanceCommandOutput
  | CreateAccessGrantsLocationCommandOutput
  | CreateAccessPointCommandOutput
  | CreateAccessPointForObjectLambdaCommandOutput
  | CreateBucketCommandOutput
  | CreateJobCommandOutput
  | CreateMultiRegionAccessPointCommandOutput
  | CreateStorageLensGroupCommandOutput
  | DeleteAccessGrantCommandOutput
  | DeleteAccessGrantsInstanceCommandOutput
  | DeleteAccessGrantsInstanceResourcePolicyCommandOutput
  | DeleteAccessGrantsLocationCommandOutput
  | DeleteAccessPointCommandOutput
  | DeleteAccessPointForObjectLambdaCommandOutput
  | DeleteAccessPointPolicyCommandOutput
  | DeleteAccessPointPolicyForObjectLambdaCommandOutput
  | DeleteBucketCommandOutput
  | DeleteBucketLifecycleConfigurationCommandOutput
  | DeleteBucketPolicyCommandOutput
  | DeleteBucketReplicationCommandOutput
  | DeleteBucketTaggingCommandOutput
  | DeleteJobTaggingCommandOutput
  | DeleteMultiRegionAccessPointCommandOutput
  | DeletePublicAccessBlockCommandOutput
  | DeleteStorageLensConfigurationCommandOutput
  | DeleteStorageLensConfigurationTaggingCommandOutput
  | DeleteStorageLensGroupCommandOutput
  | DescribeJobCommandOutput
  | DescribeMultiRegionAccessPointOperationCommandOutput
  | DissociateAccessGrantsIdentityCenterCommandOutput
  | GetAccessGrantCommandOutput
  | GetAccessGrantsInstanceCommandOutput
  | GetAccessGrantsInstanceForPrefixCommandOutput
  | GetAccessGrantsInstanceResourcePolicyCommandOutput
  | GetAccessGrantsLocationCommandOutput
  | GetAccessPointCommandOutput
  | GetAccessPointConfigurationForObjectLambdaCommandOutput
  | GetAccessPointForObjectLambdaCommandOutput
  | GetAccessPointPolicyCommandOutput
  | GetAccessPointPolicyForObjectLambdaCommandOutput
  | GetAccessPointPolicyStatusCommandOutput
  | GetAccessPointPolicyStatusForObjectLambdaCommandOutput
  | GetBucketCommandOutput
  | GetBucketLifecycleConfigurationCommandOutput
  | GetBucketPolicyCommandOutput
  | GetBucketReplicationCommandOutput
  | GetBucketTaggingCommandOutput
  | GetBucketVersioningCommandOutput
  | GetDataAccessCommandOutput
  | GetJobTaggingCommandOutput
  | GetMultiRegionAccessPointCommandOutput
  | GetMultiRegionAccessPointPolicyCommandOutput
  | GetMultiRegionAccessPointPolicyStatusCommandOutput
  | GetMultiRegionAccessPointRoutesCommandOutput
  | GetPublicAccessBlockCommandOutput
  | GetStorageLensConfigurationCommandOutput
  | GetStorageLensConfigurationTaggingCommandOutput
  | GetStorageLensGroupCommandOutput
  | ListAccessGrantsCommandOutput
  | ListAccessGrantsInstancesCommandOutput
  | ListAccessGrantsLocationsCommandOutput
  | ListAccessPointsCommandOutput
  | ListAccessPointsForObjectLambdaCommandOutput
  | ListCallerAccessGrantsCommandOutput
  | ListJobsCommandOutput
  | ListMultiRegionAccessPointsCommandOutput
  | ListRegionalBucketsCommandOutput
  | ListStorageLensConfigurationsCommandOutput
  | ListStorageLensGroupsCommandOutput
  | ListTagsForResourceCommandOutput
  | PutAccessGrantsInstanceResourcePolicyCommandOutput
  | PutAccessPointConfigurationForObjectLambdaCommandOutput
  | PutAccessPointPolicyCommandOutput
  | PutAccessPointPolicyForObjectLambdaCommandOutput
  | PutBucketLifecycleConfigurationCommandOutput
  | PutBucketPolicyCommandOutput
  | PutBucketReplicationCommandOutput
  | PutBucketTaggingCommandOutput
  | PutBucketVersioningCommandOutput
  | PutJobTaggingCommandOutput
  | PutMultiRegionAccessPointPolicyCommandOutput
  | PutPublicAccessBlockCommandOutput
  | PutStorageLensConfigurationCommandOutput
  | PutStorageLensConfigurationTaggingCommandOutput
  | SubmitMultiRegionAccessPointRoutesCommandOutput
  | TagResourceCommandOutput
  | UntagResourceCommandOutput
  | UpdateAccessGrantsLocationCommandOutput
  | UpdateJobPriorityCommandOutput
  | UpdateJobStatusCommandOutput
  | UpdateStorageLensGroupCommandOutput;
export interface ClientDefaults
  extends Partial<__SmithyConfiguration<__HttpHandlerOptions>> {
  requestHandler?: __HttpHandlerUserInput;
  sha256?: __ChecksumConstructor | __HashConstructor;
  urlParser?: __UrlParser;
  bodyLengthChecker?: __BodyLengthCalculator;
  streamCollector?: __StreamCollector;
  base64Decoder?: __Decoder;
  base64Encoder?: __Encoder;
  utf8Decoder?: __Decoder;
  utf8Encoder?: __Encoder;
  runtime?: string;
  disableHostPrefix?: boolean;
  serviceId?: string;
  useDualstackEndpoint?: boolean | __Provider<boolean>;
  useFipsEndpoint?: boolean | __Provider<boolean>;
  region?: string | __Provider<string>;
  defaultUserAgentProvider?: Provider<__UserAgent>;
  credentialDefaultProvider?: (input: any) => AwsCredentialIdentityProvider;
  maxAttempts?: number | __Provider<number>;
  retryMode?: string | __Provider<string>;
  logger?: __Logger;
  extensions?: RuntimeExtension[];
  streamHasher?: __StreamHasher<Readable> | __StreamHasher<Blob>;
  md5?: __ChecksumConstructor | __HashConstructor;
  defaultsMode?: __DefaultsMode | __Provider<__DefaultsMode>;
}
export type S3ControlClientConfigType = Partial<
  __SmithyConfiguration<__HttpHandlerOptions>
> &
  ClientDefaults &
  UserAgentInputConfig &
  RetryInputConfig &
  RegionInputConfig &
  HostHeaderInputConfig &
  EndpointInputConfig<EndpointParameters> &
  S3ControlInputConfig &
  HttpAuthSchemeInputConfig &
  ClientInputEndpointParameters;
export interface S3ControlClientConfig extends S3ControlClientConfigType {}
export type S3ControlClientResolvedConfigType =
  __SmithyResolvedConfiguration<__HttpHandlerOptions> &
    Required<ClientDefaults> &
    RuntimeExtensionsConfig &
    UserAgentResolvedConfig &
    RetryResolvedConfig &
    RegionResolvedConfig &
    HostHeaderResolvedConfig &
    EndpointResolvedConfig<EndpointParameters> &
    S3ControlResolvedConfig &
    HttpAuthSchemeResolvedConfig &
    ClientResolvedEndpointParameters;
export interface S3ControlClientResolvedConfig
  extends S3ControlClientResolvedConfigType {}
export declare class S3ControlClient extends __Client<
  __HttpHandlerOptions,
  ServiceInputTypes,
  ServiceOutputTypes,
  S3ControlClientResolvedConfig
> {
  readonly config: S3ControlClientResolvedConfig;
  constructor(
    ...[configuration]: __CheckOptionalClientConfig<S3ControlClientConfig>
  );
  destroy(): void;
}
