import { isIpAddress } from "@smithy/util-endpoints";
export const deduplicateHostPrefix = (hostname) => {
    const [p1, p2, p3, p4, ...rest] = hostname.split(".");
    if (isIpAddress(`${p1}.${p2}.${p3}.${parseInt(p4, 10)}`)) {
        return hostname;
    }
    if (p1 === p2) {
        return [p2, p3, p4, ...rest].join(".");
    }
    return hostname;
};
