import { Pluggable, RelativeMiddlewareOptions, SerializeMiddleware } from "@smithy/types";
/**
 * @internal
 * This customization handles an edge case where
 * a hostprefix may be duplicated in the endpoint ruleset resolution
 * and hostPrefix serialization via the pre-endpoints 2.0 trait,
 * and which cannot be reconciled automatically.
 */
export declare const hostPrefixDeduplicationMiddleware: () => SerializeMiddleware<any, any>;
/**
 * @internal
 */
export declare const hostPrefixDeduplicationMiddlewareOptions: RelativeMiddlewareOptions;
/**
 * @internal
 */
export declare const getHostPrefixDeduplicationPlugin: <T>(config: T) => Pluggable<any, any>;
